summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-09-18 19:04:12 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-09-18 19:04:12 +0000
commitac2036dab2d57b7eaa2b2ede1c4f6c961a3a3f9c (patch)
tree18b72ec0f6baa4ca38b9aa44fe9b89df314eeb53 /dev-python
parentd4a51aa2fab5222ddc0250e1238eb657533f7e3e (diff)
downloadbaldeagleos-repo-ac2036dab2d57b7eaa2b2ede1c4f6c961a3a3f9c.tar.gz
baldeagleos-repo-ac2036dab2d57b7eaa2b2ede1c4f6c961a3a3f9c.tar.xz
baldeagleos-repo-ac2036dab2d57b7eaa2b2ede1c4f6c961a3a3f9c.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/authlib/Manifest1
-rw-r--r--dev-python/authlib/authlib-1.6.4.ebuild74
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.40.33.ebuild53
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.40.33.ebuild67
-rw-r--r--dev-python/cmd2/Manifest1
-rw-r--r--dev-python/cmd2/cmd2-3.0.0_beta2.ebuild56
-rw-r--r--dev-python/django-template-partials/Manifest2
-rw-r--r--dev-python/django-template-partials/django-template-partials-25.2.ebuild (renamed from dev-python/django-template-partials/django-template-partials-24.4.ebuild)0
-rw-r--r--dev-python/django/Manifest2
-rw-r--r--dev-python/django/django-6.0_alpha1.ebuild101
-rw-r--r--dev-python/docutils/Manifest1
-rw-r--r--dev-python/docutils/docutils-0.22.1.ebuild62
-rw-r--r--dev-python/fonttools/Manifest2
-rw-r--r--dev-python/fonttools/fonttools-4.60.0.ebuild (renamed from dev-python/fonttools/fonttools-4.58.4.ebuild)17
-rw-r--r--dev-python/hypothesis/Manifest1
-rw-r--r--dev-python/hypothesis/hypothesis-6.139.2.ebuild125
-rw-r--r--dev-python/mysqlclient/metadata.xml2
-rw-r--r--dev-python/psutil/Manifest1
-rw-r--r--dev-python/psutil/psutil-7.1.0.ebuild92
-rw-r--r--dev-python/pyperclip/Manifest1
-rw-r--r--dev-python/pyperclip/pyperclip-1.10.0.ebuild61
-rw-r--r--dev-python/pyside/pyside-6.9.2.ebuild2
-rw-r--r--dev-python/python-tests/Manifest3
-rw-r--r--dev-python/python-tests/python-tests-0.3.14.0_rc3.ebuild73
-rw-r--r--dev-python/python-tests/python-tests-3.14.0_rc3.ebuild72
-rw-r--r--dev-python/sqlglot/Manifest3
-rw-r--r--dev-python/sqlglot/sqlglot-27.13.2.ebuild175
-rw-r--r--dev-python/sqlglot/sqlglot-27.15.3.ebuild (renamed from dev-python/sqlglot/sqlglot-27.12.0.ebuild)0
-rw-r--r--dev-python/trimesh/Manifest3
-rw-r--r--dev-python/trimesh/trimesh-4.7.1.ebuild76
-rw-r--r--dev-python/trimesh/trimesh-4.7.3.ebuild76
-rw-r--r--dev-python/trimesh/trimesh-4.8.0.ebuild76
-rw-r--r--dev-python/uv-build/Manifest6
-rw-r--r--dev-python/uv-build/uv-build-0.7.19.ebuild99
-rw-r--r--dev-python/uv-build/uv-build-0.7.22.ebuild99
-rw-r--r--dev-python/uv-build/uv-build-0.8.18.ebuild (renamed from dev-python/uv-build/uv-build-0.8.4.ebuild)2
-rw-r--r--dev-python/uv-build/uv-build-0.8.2.ebuild99
-rw-r--r--dev-python/uv-build/uv-build-0.8.5.ebuild99
-rw-r--r--dev-python/uv/Manifest5
-rw-r--r--dev-python/uv/uv-0.8.18.ebuild (renamed from dev-python/uv/uv-0.8.2.ebuild)13
-rw-r--r--dev-python/xmltodict/Manifest1
-rw-r--r--dev-python/xmltodict/xmltodict-1.0.2.ebuild22
44 files changed, 895 insertions, 833 deletions
diff --git a/dev-python/authlib/Manifest b/dev-python/authlib/Manifest
index 439be813ce11..61f3d1ff8327 100644
--- a/dev-python/authlib/Manifest
+++ b/dev-python/authlib/Manifest
@@ -1,2 +1,3 @@
DIST authlib-1.6.2.gh.tar.gz 327687 BLAKE2B 81bcbaa4cd08d10afb6d565e65c629e342f6ff22adbba15a0e881a0857061bdbedb19a77b368b9d5520c521140552a8fd8f4aa3628de222321aed48c977f8ebb SHA512 71cbb4d806d5edc204afc176a6ba339481c56fd45cbf14e83106941372d2ccf5f975e30f9c5eaf8a16c2680e161a3905a79be339a870d34e3a01ee23773771a5
DIST authlib-1.6.3.gh.tar.gz 328237 BLAKE2B 820828b67e785126a7dbd9f21cbae5174600700eaa67874418738026920930cb119660c235a2eb6540fb4e42cc3da2178048918d9122fb394fcbe5a523e1845d SHA512 d53e1ffa929f1f26e9c129b600a14f0b80a49fd33735272b382c18a8d7cae4ce6758e3880b183c34da1daa040e90bc35f32131c8756574bc97fc502e1694237c
+DIST authlib-1.6.4.gh.tar.gz 327564 BLAKE2B eb9c21d2b60dc9ec38b643c2d3a8cddb3676b3a6de1d4d926cfaa60ad02189fa78e825d0a591883e6cf5a07a430ab7b3dab3bafa4e5e5679378dea6150a6ab41 SHA512 4081671cb93e7470d908145140379e8f647959dc240a934984a8a74120bf5a0ecfec377bd67591945360045e024f32f4e0bb1cea24d9d7a39be7ae08b308d10c
diff --git a/dev-python/authlib/authlib-1.6.4.ebuild b/dev-python/authlib/authlib-1.6.4.ebuild
new file mode 100644
index 000000000000..b5ffdd88beb0
--- /dev/null
+++ b/dev-python/authlib/authlib-1.6.4.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517="setuptools"
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+DESCRIPTION="A Python library in building OAuth and OpenID Connect servers and clients"
+HOMEPAGE="
+ https://authlib.org/
+ https://github.com/authlib/authlib/
+ https://pypi.org/project/Authlib/
+"
+# pypi source distribution excludes the tests
+SRC_URI="
+ https://github.com/authlib/authlib/archive/refs/tags/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="django flask jose test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ django? (
+ dev-python/django[${PYTHON_USEDEP}]
+ )
+ flask? (
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/flask-sqlalchemy[${PYTHON_USEDEP}]
+ )
+ jose? (
+ >=dev-python/pycryptodome-3.10[${PYTHON_USEDEP}]
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/anyio[${PYTHON_USEDEP}]
+ dev-python/cachelib[${PYTHON_USEDEP}]
+ dev-python/django[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/flask-sqlalchemy[${PYTHON_USEDEP}]
+ dev-python/httpx[${PYTHON_USEDEP}]
+ >=dev-python/pycryptodome-3.10[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/starlette[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-asyncio )
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # convert from pycryptodomex to pycryptodome
+ sed -i -e 's:from Cryptodome:from Crypto:' \
+ authlib/jose/drafts/_jwe_enc_cryptodome.py || die
+}
+
+python_test() {
+ local -x DJANGO_SETTINGS_MODULE=tests.django_settings
+ epytest tests/{core,jose,clients,flask}
+
+ # TODO: django.core.exceptions.AppRegistryNotReady: Apps aren't loaded yet.
+ #epytest tests/django
+}
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 5d8839abfbb5..a6622a1dc780 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -5,3 +5,4 @@ DIST boto3-1.40.25.gh.tar.gz 995333 BLAKE2B c7e6934040c8a97f0fbc3a4db2ff5bf3ad70
DIST boto3-1.40.30.gh.tar.gz 997925 BLAKE2B 4467751d6248dd25b046c23680d966d3222d60200ac32c5616a90ec67db375b289e0baabcd663b8cdf099d656bb89d1645e9852d7898c430ed10f6ebf27a2b94 SHA512 5956487cc48e6c6e7b970dc39f6f1f7e6861af5f8c44e448b9ca7eb15890be1ea43c7d8418ee9be876e73c40191701db0342a55f0c90117ab5457b054d998610
DIST boto3-1.40.31.gh.tar.gz 998446 BLAKE2B 3664713984fb2ec75f80036851754e8df79005f0a27508d98a12682e3acf88ff31aa3e5b3155bec8fb6397cc0b487875ccadc14ce640ab8bf1995aeade92f917 SHA512 485d2f8294e6fd2cebd6d4bf0ef2227a3306e2678868f3fc912009f04471fe0714cc73c102526769904054b792344804e65371390eda2b4f1f5911d79c467734
DIST boto3-1.40.32.gh.tar.gz 999127 BLAKE2B c892ba23e846c2bf7886bcd5a929462c014fd650b8e2483b5d1f85c8a9a0f16b090d46e79000095db984960e2eae5b16e62b561772808e14831ceb4df6fc9901 SHA512 4d971a385d2b51634279d80bed56e3a72a96f93629f7dc6247d1637ac590e692d0e40177f21f05f285285a588480647bde78739c167e6973c8bd1a48a1764144
+DIST boto3-1.40.33.gh.tar.gz 999591 BLAKE2B 783649704144d025df7206952167e66377e22d97694cb78f46bb39e458e75a747cca532016e8f3cb8305bdd0c9d0ebd1a04f56770f2a2e80fa1a970bc4e6989f SHA512 ba2a99784770e65a0b5abb8a65771d0f3577f656e5b9ccf06c2dcf2278901fc831ae09a37d2302fdce8940867af1e6b3b2209ce24d060a5bc2ec8f3c386fc91b
diff --git a/dev-python/boto3/boto3-1.40.33.ebuild b/dev-python/boto3/boto3-1.40.33.ebuild
new file mode 100644
index 000000000000..90fb2a42e6e5
--- /dev/null
+++ b/dev-python/boto3/boto3-1.40.33.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.14.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 6451debb0a54..b2c2244d70b0 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -5,3 +5,4 @@ DIST botocore-1.40.25.gh.tar.gz 15123642 BLAKE2B 71ba5fa27fa51782f213b1b818f15f3
DIST botocore-1.40.30.gh.tar.gz 15142090 BLAKE2B 9293ad264156c749fbbc4b1a0a59c7a6616137ca67ff165d432fe915dab2c146213cc52d1bb1751d1ff63726a8e7253f32fb24b388d62fdbeda22751331dfe36 SHA512 32a8ef2cc393ee6509483388f1d31a0c27f96e1105fc42929abc37b21bd065875a035cda6de6e041acb3bdca04a7f9b1e4b88be7dfc88e8fe55d3843cdba20c8
DIST botocore-1.40.31.gh.tar.gz 15136672 BLAKE2B 9a7864ddb0939bdf84927f34369fff00e54ad52fa1ccb5923410d62c210dde6ad46bf781447af2b8e575bb94be3d24f856769f5a29c822e0380cb39164f12d01 SHA512 03cd332c33515f4b0354ce22a82287893dddda37a93ae0e1c51c7eef9bfacfeb45acd32ffbfe902fbe1c2a66621100a8cf6e6b82ce580f90cb13e3ef261ff36f
DIST botocore-1.40.32.gh.tar.gz 15140179 BLAKE2B be42af94bbff38d7bfadcf5e08e3b05e904ce5483704c7ce77b64e606c9ed6f30330c170d16e1b1ce4b4321bd0fe8fc2f0edf48c11b289ca44a280d274c3335a SHA512 efd31a12e0b1daef7fe8942b9f036cf92534bdbb5333020b85d543d7c4e45aaaa76bb5bebf500d3eb6d60d93c45c70098adcf51466d2645c0ec677579d10dfe5
+DIST botocore-1.40.33.gh.tar.gz 15140845 BLAKE2B af295d0bd44d2c777095a96ba8c1e6b735b7cb5e00a051fed654d0f9af411fba4b9cff05920e36e8b08a92b3cf091b82c956eff6457845d0f2bb54fa794ac1c0 SHA512 2b12dfd6e13a5f83e950bc5d4320fc66638c15c0a282f19e35cdcf8b71efd4253e54fe065199409307613f99f74deece1685452cc126b8c0e2d4a2e221e2904a
diff --git a/dev-python/botocore/botocore-1.40.33.ebuild b/dev-python/botocore/botocore-1.40.33.ebuild
new file mode 100644
index 000000000000..a931fcaefec4
--- /dev/null
+++ b/dev-python/botocore/botocore-1.40.33.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+# unbundled packages
+RDEPEND+="
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/cmd2/Manifest b/dev-python/cmd2/Manifest
index f9f476b08330..0c3e77cb51a9 100644
--- a/dev-python/cmd2/Manifest
+++ b/dev-python/cmd2/Manifest
@@ -1,3 +1,4 @@
DIST cmd2-2.6.2.tar.gz 592373 BLAKE2B 917ecd684c60c0a6c1b273ef52fa1e317f71522dfd6fc8a9d2c1ee7fa28788b734c6536a9481ac56ef8409002f503837ae51191478a68e364c4780e9feb4b8e8 SHA512 75531dca561427eef259765a55c6385401edd8bc9d5c4cf08ab97e53e118334be932ee5c59f9e1fcd529a7a5f7416e654ee1d618d91623068ef21bcc66dcfdd7
DIST cmd2-2.7.0.tar.gz 593131 BLAKE2B 2488c3c9d8e770fca8046fbd5d9537349cfd2b45cb32ed5775cd0b451ae25425909fadb7414d202aa52587e691e2ef8a39b3fe691e345497a0523e17281228df SHA512 6d2e7f3c9e125782da8983fb27a53d5db0c0cc35a8c86eb129961596ff3ff5751622894ee8fb355b0330de3b2cbb7cf18eddaba2ad0b8781e80b479cf53a1c89
DIST cmd2-3.0.0b1.tar.gz 1017844 BLAKE2B 607ec848de6cfb35682cd8b3a8271d1232c463f3b623a1f6fb17f801b85474d4896c1e85058519d3e946c0fcb9ea4c3fdfe4e4d69dff14918817f02cdb4ee4d6 SHA512 c7443bccb36b7d0bc688f434a1fe77962cd31f33c21ca4dc11847e8e9590bc15920d0afbbcef322f54fe1759de023cea463fb16b4318df140a0e7fb06e561699
+DIST cmd2-3.0.0b2.tar.gz 1007751 BLAKE2B 006373e3ff2d57c67e5824089c408dacd45567e9e654760ac552b5f9628ed97cf580a2878d1426ddf6d1e7aed287633b969e13acc8eb6304957425f180a55a64 SHA512 98b533fc9a826c3df27a33fda527e46b25fde0e2caa2b94f7668b4ea1c56ea3eaa496f7f5664bc9c2ccd4ffdef6382fb060c9b73d254e9bdaa29047ec26de535
diff --git a/dev-python/cmd2/cmd2-3.0.0_beta2.ebuild b/dev-python/cmd2/cmd2-3.0.0_beta2.ebuild
new file mode 100644
index 000000000000..6d473f17d099
--- /dev/null
+++ b/dev-python/cmd2/cmd2-3.0.0_beta2.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1 optfeature virtualx pypi
+
+DESCRIPTION="Extra features for standard library's cmd module"
+HOMEPAGE="
+ https://github.com/python-cmd2/cmd2/
+ https://pypi.org/project/cmd2/
+"
+
+LICENSE="MIT"
+SLOT="0"
+
+RDEPEND="
+ >=dev-python/pyperclip-1.8[${PYTHON_USEDEP}]
+ >=dev-python/rich-14.1.0[${PYTHON_USEDEP}]
+ >=dev-python/rich-argparse-1.7.1[${PYTHON_USEDEP}]
+"
+# pyperclip uses clipboard backends in the following preference order:
+# pygtk, xclip, xsel, klipper, qtpy, pyqt5, pyqt4.
+# klipper is known to be broken in Xvfb, and therefore causes test
+# failures. to avoid them, we must ensure that one of the backends
+# preferred to it is available (i.e. xclip or xsel).
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ || (
+ x11-misc/xclip
+ x11-misc/xsel
+ )
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-{mock,rerunfailures} )
+distutils_enable_tests pytest
+
+src_test() {
+ # tests rely on very specific text wrapping...
+ local -x COLUMNS=80
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ # TODO: tests_isolated?
+ nonfatal epytest -o addopts= --reruns=5 tests || die
+}
+
+pkg_postinst() {
+ optfeature "IPython shell integration" dev-python/ipython
+}
diff --git a/dev-python/django-template-partials/Manifest b/dev-python/django-template-partials/Manifest
index 1e32d4aee99c..8df68660747f 100644
--- a/dev-python/django-template-partials/Manifest
+++ b/dev-python/django-template-partials/Manifest
@@ -1,2 +1,2 @@
-DIST django_template_partials-24.4.tar.gz 14538 BLAKE2B 4c10d9cd236ac567515ca65c766d1af10dcd9ee7a0f47ccb8946296a8fda5f4b6f3a68e94f4f27833f862fff6ce4b09cfbe74899b64064cb036c28f21dca882a SHA512 9a9ff27229078b81c392233737585cfb5e6b92676328ae3b7668217894e4572f71b9665dff9c0b03f6d13f7a4fccc50339f1d3324ad8e41eee5d2a49425c8552
DIST django_template_partials-25.1.tar.gz 17272 BLAKE2B ffe041046d7c30cd928ad4023263431381104d7d5c48d6c146a465063365700c34fec9d42ebced83092bf6ccbf9e240b791cfd87ee3c38404d952ddba48c44f6 SHA512 f8971d7a5e6afd0ca02e9bb4620f601b267afc0bf7ee99acae0e785b4fa2a9f6eeb9014958e19524c61d47379eea9d97411225707d93ea93f64d169ca5e066ee
+DIST django_template_partials-25.2.tar.gz 17787 BLAKE2B e471e8a1b8844352ae7b880e3f4b2ab858ff847a0a1980e80cf50048bfe623869f43fafd0d76ae07f2c6c8e28c95175e5d33bed743cb8930ef7cb5fce4686d74 SHA512 be5b71b498b5828169ef1ad0a79097cd3fe88a0bf6ff9e82d5f7466fd0939855cd053a2349924d0e99cd35553df809a6cc73e383734b62fb8450e3f9b270f2aa
diff --git a/dev-python/django-template-partials/django-template-partials-24.4.ebuild b/dev-python/django-template-partials/django-template-partials-25.2.ebuild
index 8e25e01118b4..8e25e01118b4 100644
--- a/dev-python/django-template-partials/django-template-partials-24.4.ebuild
+++ b/dev-python/django-template-partials/django-template-partials-25.2.ebuild
diff --git a/dev-python/django/Manifest b/dev-python/django/Manifest
index 752eb5850519..a821dffe385d 100644
--- a/dev-python/django/Manifest
+++ b/dev-python/django/Manifest
@@ -1,7 +1,9 @@
DIST Django-4.2.24.checksum.txt 2388 BLAKE2B 849cba0c02d0c9ad39aa05cb075cfcb734358d183a048a2020310838dc103ee9aaef3b8186da4403d47fdf92b0d1ce3e2e0f3d4fdf537ba348283d71221f7ca9 SHA512 cef61a0092cb8a17cb581ebc1f9d20e898e4c65d20aa32740bbd41761d1d3004aab737337fd249f1ab21b6161a02c781682295d3f45d0102844819eda3d253b6
DIST Django-5.1.12.checksum.txt 2388 BLAKE2B a4e676cfc68c9f1b9a3582cc1c3875aacb81171c459021874522e5d902a831372112bf730fb9ec3fc0d41645af0d7f64d50009a2a4beb2fddb43b114f83ea594 SHA512 87b32f9861840ea7df64cebb74d840e006b6329707c4b25957316f2840a789bff5c7a42b55484c9829d67be5cd0d5cf69dc69558637361ace7ec87850014028d
DIST Django-5.2.6.checksum.txt 2378 BLAKE2B f8516d76dabcef3cbc9b4fa93af8c18f1e835d684319dbbfd56d4b659b642607a5f72a0386fe371daa1b4e2d64d61d3561fd9557de51ef9fdd7a6bac5bf12ddd SHA512 9b499f591d05fbadcb070a8d95dd8a585d485f89f91074c77e1baf3f9909aa26d785a57de5aeb03f0b9027e6567b0852c2c98e2907ab43c650ef8cc99a3fbfa7
+DIST Django-6.0a1.checksum.txt 2542 BLAKE2B 21322015ce73ddcadf3658e6b05c90416fbbefe6646ed43af3665b0f7ca70c681fa4ddfc676f0a136faf5b43cc641840c0901ea16d93c30a2777cf84a160dc83 SHA512 cd213bc911fe708f9bdce0f22fd6c73da57edc210cbf258deffeb7685575e8ccbfcff278f465cec578fbbbc747e7163005ada8b191da479820f98b189ca2056f
DIST django-4.2.17-pypy3.patch.xz 5900 BLAKE2B 2a564fc31d8e2f3def5a532d3bca1a4426a496c659192f602d659e0c1a5f5882978baedb384cc3b67fda8c836513ce43aece80db1528c8e8b6e9ca420f7572ce SHA512 9c9d935aff6db7230a26931b5e7f5f94f3b5ff4fc8f7d4201178571de9d9c7929a0e1e558cc2d9b54b8ee91f85819a5680d24fad6251620515a4a020e3b2d66d
DIST django-4.2.24.tar.gz 10452798 BLAKE2B 8879aab564b89429244edd496f8bc2e93a47c7b337e3e280c386c45c9e33be5d2e129913d7684456a18b3772113f1715aea259df1cf56af28947516f49974e42 SHA512 b43b3c73301d60d19681d98b63f6f58a09af6bafb6166419d561f0c0236d2aa1a7c715d86e029ad942997e36868661e606a4a305bada0367383b27d660b8dc26
DIST django-5.1.12.tar.gz 10737777 BLAKE2B 8f13429abf76b748936b93e28395df694b1763527e55c3cc29b5c493c084e0213d98bc10a3cf1ee1fe42963be05191dba4d34e9503a5729ab26addcd0f68b865 SHA512 01f707690efbc9ae7c9c826136c6ce2dddc12e567f37a4c90c709ccab25825aeff124df23d9c75b772e20cf1c21e5ca474044096e3c54f979bd3d8c34b463a68
DIST django-5.2.6.tar.gz 10858861 BLAKE2B c44949b5f27c04e4dbdbd84aa3f7865b404e122e2b427a8fb8d926de0f100b04abd44a1dfb63a74b6a6547884abfd0b8e93c166b0561784d5004b5ceff68b61f SHA512 f2780e72ab6b54503a2ccee2fb2139399c175d8704a9b7fa4308f7688ad7b3a5fd744850ec6f702e0696ac190bc510e8d91584858381f7fd41eb89f1d7619e2c
+DIST django-6.0a1.tar.gz 11171245 BLAKE2B 41cf21e1b75dd6fd3df5a0fb5f55adef6b490ba309421686dc90568a80fd05d2a5ba9420ffebc81dd0db380a03370bf245f0fbc741a0ef57471cc836e1f838bc SHA512 865e0c8da75a71159454a2d7c8b20a118dccc7dffe4b715e28abf4bb5d8a221ea47356f270536e8741f8185e77d7ab9db4659b1e727f59c676edfffc82a0c635
diff --git a/dev-python/django/django-6.0_alpha1.ebuild b/dev-python/django/django-6.0_alpha1.ebuild
new file mode 100644
index 000000000000..b8df8cf8dc8a
--- /dev/null
+++ b/dev-python/django/django-6.0_alpha1.ebuild
@@ -0,0 +1,101 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{12..14} )
+PYTHON_REQ_USE='sqlite?,threads(+)'
+
+inherit bash-completion-r1 distutils-r1 multiprocessing optfeature verify-sig
+
+MY_P=${P/_alpha/a}
+DESCRIPTION="High-level Python web framework"
+HOMEPAGE="
+ https://www.djangoproject.com/
+ https://github.com/django/django/
+ https://pypi.org/project/Django/
+"
+SRC_URI="
+ https://media.djangoproject.com/releases/$(ver_cut 1-2)/${MY_P}.tar.gz
+ verify-sig? ( https://media.djangoproject.com/pgp/${MY_P^}.checksum.txt )
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+# admin fonts: Roboto (media-fonts/roboto)
+LICENSE+=" Apache-2.0"
+# admin icons, jquery, xregexp.js
+LICENSE+=" MIT"
+SLOT="0/$(ver_cut 1-2)"
+IUSE="doc sqlite test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ <dev-python/asgiref-4[${PYTHON_USEDEP}]
+ >=dev-python/asgiref-3.9.1[${PYTHON_USEDEP}]
+ >=dev-python/sqlparse-0.5.0[${PYTHON_USEDEP}]
+ sys-libs/timezone-data
+"
+BDEPEND="
+ test? (
+ $(python_gen_impl_dep sqlite)
+ ${RDEPEND}
+ >=dev-python/docutils-0.19[${PYTHON_USEDEP}]
+ >=dev-python/jinja2-2.11.0[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pillow[webp,${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ >=dev-python/selenium-4.8.0[${PYTHON_USEDEP}]
+ >=dev-python/tblib-1.5.0[${PYTHON_USEDEP}]
+ sys-devel/gettext
+ )
+ verify-sig? ( >=sec-keys/openpgp-keys-django-20240807 )
+"
+
+PATCHES=(
+ "${FILESDIR}"/django-4.0-bashcomp.patch
+ # upstream hardcodes fixed versions, we backported the fixes
+ "${FILESDIR}"/django-5.2.6-htmlparser.patch
+)
+
+distutils_enable_sphinx docs --no-autodoc
+
+VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/django.asc
+
+src_unpack() {
+ if use verify-sig; then
+ cd "${DISTDIR}" || die
+ verify-sig_verify_signed_checksums \
+ "${MY_P^}.checksum.txt" sha256 "${MY_P}.tar.gz"
+ cd "${WORKDIR}" || die
+ fi
+
+ default
+}
+
+python_test() {
+ # Tests have non-standard assumptions about PYTHONPATH,
+ # and don't work with ${BUILD_DIR}/lib.
+ PYTHONPATH=. "${EPYTHON}" tests/runtests.py --settings=test_sqlite \
+ -v2 --parallel="${EPYTEST_JOBS:-$(makeopts_jobs)}" ||
+ die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+ newbashcomp extras/django_bash_completion django-admin
+ bashcomp_alias django-admin django-admin.py
+
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ optfeature_header "Additional Backend support can be enabled via:"
+ optfeature "MySQL backend support" dev-python/mysqlclient
+ optfeature "PostgreSQL backend support" dev-python/psycopg:0
+ optfeature_header
+ optfeature "GEO Django" "sci-libs/gdal[geos]"
+ optfeature "Memcached support" dev-python/pylibmc dev-python/python-memcached
+ optfeature "ImageField Support" dev-python/pillow
+ optfeature "Password encryption" dev-python/bcrypt
+}
diff --git a/dev-python/docutils/Manifest b/dev-python/docutils/Manifest
index 69f65b94e189..231bb2688576 100644
--- a/dev-python/docutils/Manifest
+++ b/dev-python/docutils/Manifest
@@ -1,3 +1,4 @@
DIST docutils-0.21.2.tar.gz 2204444 BLAKE2B 727c2f97fc5835a0ffa62e38ea85af366cd89ad1eaec0b8af8b1f3b12e6cddfddb65161ba34f9109952d37ba2cf8985f3c3b6905ebb2ac1c9a984cce3fb4d170 SHA512 7fafa331f5687448e80d299c20cdccc4b49819fa471b5f586bf0ab18c694ba43a70f58e7c76b0a70a16267585548389214e11a4998ad7fdc19a27f0f7644539c
+DIST docutils-0.22.1.tar.gz 2291655 BLAKE2B 6e3fc58813bcf4942d14d911d86536fde75a0dc02f8847ef92118c5e78b302baf1ec0635a29760b373c4cfd8946796d705774422d81e7394fb1b3562d95b167f SHA512 9cf82e12e5b63bed33dd334a9282a565d6a65edd7b8ad0b62ffe2a05ce039f7947a935de8743acc4846a6334fd894d90533dd0bf931166dcdbab56bc93c92619
DIST docutils-0.22.1rc1.tar.gz 2288693 BLAKE2B a65ec18afab62a37f254f904b6812ffdd8b67c774ebd7d39c4f661f79150ac8b1dc9077d020ced548d0dd15fdde8458771db4e1576f09b99dd7f001a1988426e SHA512 6cf2d4ce54fd3db87f09ff7a278aeefa4a47c85a7f919c4d8590e42b4583aab0a81405cf047d95238b8bae2b6e0cacad3a5397009c0b3fdb10fe8984080e911f
DIST docutils-0.22.tar.gz 2277984 BLAKE2B 8ad9fc3d064e39bb618f5bac7ef6b69a77e7e811ff2f7c4c1b34f4f8bc1ba793f995e653d20ba536d24af5905f68b8e3f636a0f28f1c9eef46bb6f755d988bc2 SHA512 09082eb3bdd5f9b3e977d356740efee47725a50fbaca7bf35c7fddff06003c2b2177a38d160a9956f9e96261f881c0d870c0aa9fef84f90d0cac079ccc73669d
diff --git a/dev-python/docutils/docutils-0.22.1.ebuild b/dev-python/docutils/docutils-0.22.1.ebuild
new file mode 100644
index 000000000000..98db61455eae
--- /dev/null
+++ b/dev-python/docutils/docutils-0.22.1.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python Documentation Utilities (reference reStructuredText impl.)"
+HOMEPAGE="
+ https://docutils.sourceforge.io/
+ https://pypi.org/project/docutils/
+"
+
+# GPL-3+ only for emacs/rst.el
+LICENSE="BSD BSD-2 GPL-3+ PSF-2.4 public-domain"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+
+RDEPEND="
+ dev-python/pillow[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${RDEPEND}
+"
+
+python_compile_all() {
+ # Generate html docs from reStructured text sources.
+
+ # Place html4css1.css in base directory to ensure that the generated reference to it is correct.
+ cp docutils/writers/html4css1/html4css1.css . || die
+
+ cd tools || die
+ "${EPYTHON}" buildhtml.py --input-encoding=utf-8 --no-datestamp \
+ --stylesheet-path=../html4css1.css, --traceback ../docs || die
+}
+
+src_test() {
+ cd test || die
+ distutils-r1_src_test
+}
+
+python_test() {
+ "${EPYTHON}" alltests.py -v || die "Testing failed with ${EPYTHON}"
+}
+
+python_install() {
+ distutils-r1_python_install
+
+ # Install tools.
+ python_doscript tools/buildhtml.py
+}
+
+python_install_all() {
+ local DOCS=( *.rst )
+ local HTML_DOCS=( docs tools docutils/writers/html4css1/html4css1.css )
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/fonttools/Manifest b/dev-python/fonttools/Manifest
index ecc43b2cbec7..e97a67cf2097 100644
--- a/dev-python/fonttools/Manifest
+++ b/dev-python/fonttools/Manifest
@@ -1,5 +1,5 @@
-DIST fonttools-4.58.4.gh.tar.gz 3964173 BLAKE2B a4813bb4bb2929c0e3f95389fd2da5729b9b484f3c19c975b2392fa6d6a489d432c86f4ac3dc7bc58e75238b1ab87292e0dd99b1cadda143bf8df61d4770e10f SHA512 746eb64dee02e77321ca60752e1dd77ff0eb4411bf907968c5118de36618f4bc857d5782c289768fee8c43f9e410f225061736509f6a5c25a829a8ee30a0995b
DIST fonttools-4.58.5.gh.tar.gz 3964953 BLAKE2B 55604a10796af825a71e0937032285d4a03c061408474f3af3172aea9155fbccafd314282ca357e539e24f32235927adbbe4e3e1b62c2d6a4a50c2492924a802 SHA512 02a5796b6041561c9f6b7f5a27a5b8de926f5243288ce28f98ec175d890e011427e3be1e0d1a2f259e556225ef0d6f24c7fc5ee03983692beb5486120fb8acc5
DIST fonttools-4.59.0.gh.tar.gz 3973909 BLAKE2B 7b53b12b37be67cb764bfe2a0bcc7af85650431277678e63976d2a1d82a9386c6d1fa07485307fa114b0067c170998c31713cbe67a88b4ddab380d308570ff41 SHA512 552c7ebb5d8d6ce8cc37d2d20a52a213a5ccf52d532c166ad07182e3a2e5f5ac82b3ab9b45787fd1e7cfc3b588568507a006fd1b0b763402064b89ae71a86e91
DIST fonttools-4.59.1.gh.tar.gz 3975993 BLAKE2B 7e56e6e72e74318466b7ee673e4a9d057072413b1f2e68ae01708fa3bf2bec8c0972389e22629cc1705a7e141e7480df2203f4ab51dbc5dbc8d644924e7cf30b SHA512 834a8df4c30d75d9028ef799fa5eae5de97fce8fd3723997a537d90a4f4e4bcbd5a6f5bf62aecb902b8f547fa211bf8a401d7c77602d9ec504ecf46f5db8c749
DIST fonttools-4.59.2.gh.tar.gz 3982477 BLAKE2B e0c5747efed1d8d402ccfe0f603ce9ba4360355193a4968ad2e8e58e7b5155bde890f5db573dd7c3ec449701311f22d51a97213dd560cc4cf7b694f0ab715d1d SHA512 34a36048680e2494f49a0fd5b94352face4cd5727e8748cbfccb6ec71f44d69d155bba43de7b9244d91723c762101216f4b057e4f64a577197f79c1db269eaff
+DIST fonttools-4.60.0.gh.tar.gz 3990380 BLAKE2B f42611c4270e4b9407a4f8750f9ef2492ca9e9560ca2cdbb1a2cee5800ad799fed52de80dd7c17a4722bb9cf62265c33d5483f0f7376ca2ba54f700336295900 SHA512 9c692a6b4a349a2b37ab74d5e2ceef66d561eebb0cb30c2feb29eecc29bfd9430821ed5587b8f6d204e02c0d33f59540cc47a02d9bc40c2d0916d7c4934ed8ee
diff --git a/dev-python/fonttools/fonttools-4.58.4.ebuild b/dev-python/fonttools/fonttools-4.60.0.ebuild
index 9b7b4d1906c8..38f1b1e81cba 100644
--- a/dev-python/fonttools/fonttools-4.58.4.ebuild
+++ b/dev-python/fonttools/fonttools-4.60.0.ebuild
@@ -22,12 +22,9 @@ SRC_URI="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
IUSE="+native-extensions"
-RDEPEND="
- >=dev-python/fs-2.4.9[${PYTHON_USEDEP}]
-"
BDEPEND="
native-extensions? (
$(python_gen_cond_dep '
@@ -36,12 +33,15 @@ BDEPEND="
)
test? (
dev-python/brotlicffi[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/fs-2.4.9[${PYTHON_USEDEP}]
+ ' 3.11 3.12 3.13)
dev-python/munkres[${PYTHON_USEDEP}]
- dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
app-arch/zopfli
)
"
+EPYTEST_PLUGINS=( pytest-rerunfailures )
EPYTEST_XDIST=1
distutils_enable_tests pytest
@@ -62,8 +62,7 @@ python_test() {
Tests/ttLib/woff2_test.py::WOFF2ReaderTest::test_get_normal_tables
)
- local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
- nonfatal epytest \
- -p rerunfailures --reruns=5 \
- Tests fontTools || die -n "Tests failed with ${EPYTHON}"
+ # nonfatal for virtx
+ nonfatal epytest --reruns=5 Tests fontTools ||
+ die -n "Tests failed with ${EPYTHON}"
}
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 31e453fc98cb..fc88c577e8ab 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -9,3 +9,4 @@ DIST hypothesis-6.138.15.gh.tar.gz 9622869 BLAKE2B 0192a1eeb3944fd3fd031f80b6cc0
DIST hypothesis-6.138.16.gh.tar.gz 9622785 BLAKE2B 2092fb0131942f1e28145b92553b692281b3dcb79c68175c1649d2f31c5170acf009662f9ec52a9a288fcbe428af0ec285f13761db2de624fc67b0832c720374 SHA512 fe607d96b216d19753a1cb0c46729f2547d7d790d437e1a02be3b089cb29920a5e819683105523a2b024c6692b1ed7849b705b25458cc1d655b0370451e5c0d9
DIST hypothesis-6.138.17.gh.tar.gz 9622806 BLAKE2B ab53606527145ef5a33cdcf1771158d1a92acf45737b68f32270eaa3f3bb6a03665877cd3ea5a787481e5fe549f269f00d93d7552832379c52347d334d4c96fe SHA512 f0a7667f27580732b5a1f2c6ed69fbe03e7f0db828d4633b9a32956fff19aa8472776dafdb48a1b65c03d7faf1afa532dd6f24298ddbeb322bcc79a993cbff7b
DIST hypothesis-6.139.1.gh.tar.gz 9623905 BLAKE2B b7c2aa30ebd2bdfbd0808c56d87f28619625ff4a30396f8ccbe4c298b00044d1c7a224111b724cdcd23f3f9916574cf282a7d9f22fea85f38e2f21172c291bec SHA512 dba03341695c1fa6252c27e652f12955778742a0555414b18856f75bf1e710296efce1f9359be8fb1fafdc45a72866664d7bb5ca01bcfb0a6d8df29eef257251
+DIST hypothesis-6.139.2.gh.tar.gz 9623909 BLAKE2B 2b509474e06169191087932a47a0564fc5babf0f1e2acddd4f95d7d411befea444a80c7d7fea9c8582fb6ddc8153388a52a7a29d917f4f5ea8c142c8345e9036 SHA512 ffd797bc2ed6591fd67b2639665c606c1814a7ee2cca1b1f4272ef505a3ad83883988feb2dc32e4a92813c540dd485594d2c332e945ad7f58b9eb276af733869
diff --git a/dev-python/hypothesis/hypothesis-6.139.2.ebuild b/dev-python/hypothesis/hypothesis-6.139.2.ebuild
new file mode 100644
index 000000000000..7a7443937da6
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.139.2.ebuild
@@ -0,0 +1,125 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( python3_{11..13} )
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-22.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ >=dev-python/pytest-8[${PYTHON_USEDEP}]
+ )
+"
+PDEPEND="
+ dev-python/hypothesis-gentoo[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGIN_LOAD_VIA_ENV=1
+EPYTEST_PLUGINS=( "${PN}" pytest-xdist )
+EPYTEST_RERUNS=5
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+ # NB: paths need to be relative to pytest.ini,
+ # i.e. start with hypothesis-python/
+ local EPYTEST_DESELECT=()
+ case ${EPYTHON} in
+ python3.13t)
+ EPYTEST_DESELECT+=(
+ # TODO: missing warning
+ 'hypothesis-python/tests/cover/test_random_module.py::test_passing_referenced_instance_within_function_scope_warns'
+ )
+ ;;
+ python3.14*)
+ EPYTEST_DESELECT+=(
+ 'hypothesis-python/tests/cover/test_compat.py::test_resolve_fwd_refs[Foo-Union]'
+ 'hypothesis-python/tests/cover/test_lookup.py::test_builds_suggests_from_type[Union]'
+ hypothesis-python/tests/cover/test_attrs_inference.py::test_attrs_inference_builds
+ hypothesis-python/tests/cover/test_lookup.py::test_bytestring_not_treated_as_generic_sequence
+ hypothesis-python/tests/cover/test_lookup.py::test_issue_4194_regression
+ hypothesis-python/tests/cover/test_lookup.py::test_resolves_forwardrefs_to_builtin_types
+ hypothesis-python/tests/cover/test_lookup.py::test_specialised_collection_types
+ hypothesis-python/tests/cover/test_lookup_py37.py::test_resolving_standard_collection_as_generic
+ hypothesis-python/tests/cover/test_lookup_py37.py::test_resolving_standard_container_as_generic
+ hypothesis-python/tests/cover/test_lookup_py37.py::test_resolving_standard_contextmanager_as_generic
+ hypothesis-python/tests/cover/test_lookup_py37.py::test_resolving_standard_iterable_as_generic
+ hypothesis-python/tests/cover/test_lookup_py37.py::test_resolving_standard_reversible_as_generic
+ hypothesis-python/tests/cover/test_lookup_py37.py::test_resolving_standard_sequence_as_generic
+ hypothesis-python/tests/cover/test_random_module.py::test_evil_prng_registration_nonsense
+ hypothesis-python/tests/cover/test_random_module.py::test_passing_referenced_instance_within_function_scope_warns
+ hypothesis-python/tests/cover/test_random_module.py::test_register_random_within_nested_function_scope
+ hypothesis-python/tests/cover/test_random_module.py::test_registering_a_Random_is_idempotent
+ hypothesis-python/tests/cover/test_type_lookup_forward_ref.py::test_bound_missing_dot_access_forward_ref
+ hypothesis-python/tests/cover/test_type_lookup_forward_ref.py::test_bound_missing_forward_ref
+ hypothesis-python/tests/cover/test_type_lookup_forward_ref.py::test_bound_type_checking_only_forward_ref_wrong_type
+ hypothesis-python/tests/cover/test_type_lookup_forward_ref.py::test_bound_type_cheking_only_forward_ref
+ )
+ ;;
+ esac
+
+ local -x HYPOTHESIS_NO_PLUGINS=1
+ epytest -o filterwarnings= tests/{cover,pytest,quality}
+}
+
+src_install() {
+ local HAD_CLI=
+
+ distutils-r1_src_install
+
+ if [[ ! ${HAD_CLI} ]]; then
+ rm -r "${ED}/usr/bin" || die
+ fi
+}
+
+python_install() {
+ distutils-r1_python_install
+ if use cli && has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ HAD_CLI=1
+ else
+ rm -r "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/mysqlclient/metadata.xml b/dev-python/mysqlclient/metadata.xml
index db10caad611f..12595ad60d5c 100644
--- a/dev-python/mysqlclient/metadata.xml
+++ b/dev-python/mysqlclient/metadata.xml
@@ -15,4 +15,4 @@
</maintainer>
<origin>ports</origin>
-</pkgmetadata>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/psutil/Manifest b/dev-python/psutil/Manifest
index e4bc22f620c3..2b8088386ea6 100644
--- a/dev-python/psutil/Manifest
+++ b/dev-python/psutil/Manifest
@@ -1 +1,2 @@
DIST psutil-7.0.0.tar.gz 497003 BLAKE2B d5bd3845f4a1a9852ea0136d43f3c4ef9534f08cde7acc3e7a02d7725e52a517882986cf48be241d51b001646b0550d8d7d964dd38ba15e6777d82c3605c34af SHA512 83c17e5dd975bd403d8ece3bcfe021e5b845eb53260f8857999ebc6fdea8aca83e136b945aaa0b3974dc387191988c22fcdcab03effc8e943382989a106aeaf3
+DIST psutil-7.1.0.tar.gz 497660 BLAKE2B 77c6adb50d4c8191bc47d3511735e97fffefd02cb6bdd85e2c9ef5f3cd7b3eee439e959d968bac05d5a26bd7cd3b6833519e71aac960d4fe578b845b1aeb1453 SHA512 6bf0fdaa7c1241126f99041bdfde87c3fe834b8364e306eb72deebafcc272a135d64502e12157e1134ebf0353893dee906fa00517ca3d399e97ea486b238ee6c
diff --git a/dev-python/psutil/psutil-7.1.0.ebuild b/dev-python/psutil/psutil-7.1.0.ebuild
new file mode 100644
index 000000000000..ca5ac983fb2a
--- /dev/null
+++ b/dev-python/psutil/psutil-7.1.0.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Retrieve information on running processes and system utilization"
+HOMEPAGE="
+ https://github.com/giampaolo/psutil/
+ https://pypi.org/project/psutil/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+
+EPYTEST_PLUGINS=( pytest-subtests )
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # hardcoded assumptions about the test environment
+ tests/test_linux.py::TestRootFsDeviceFinder::test_disk_partitions_mocked
+ tests/test_linux.py::TestSystemDiskPartitions::test_zfs_fs
+ tests/test_linux.py::TestSystemNetIfAddrs::test_ips
+ tests/test_posix.py::TestProcess::test_nice
+ tests/test_process.py::TestProcess::test_ionice_linux
+ tests/test_system.py::TestDiskAPIs::test_disk_partitions
+
+ # mocking is broken
+ tests/test_linux.py::TestSensorsBattery::test_emulate_energy_full_0
+ tests/test_linux.py::TestSensorsBattery::test_emulate_energy_full_not_avail
+ tests/test_linux.py::TestSensorsBattery::test_emulate_no_power
+ tests/test_linux.py::TestSensorsBattery::test_emulate_power_undetermined
+
+ # doesn't like sandbox injecting itself
+ tests/test_process.py::TestProcess::test_weird_environ
+
+ # extremely flaky
+ tests/test_linux.py::TestSystemVirtualMemoryAgainstFree::test_used
+ tests/test_linux.py::TestSystemVirtualMemoryAgainstVmstat::test_used
+
+ # nproc --all is broken?
+ tests/test_linux.py::TestSystemCPUCountLogical::test_against_nproc
+
+ # broken on some architectures
+ tests/test_linux.py::TestSystemCPUCountCores::test_method_2
+ tests/test_linux.py::TestSystemCPUCountLogical::test_emulate_fallbacks
+ tests/test_linux.py::TestSystemCPUFrequency::test_emulate_use_cpuinfo
+ tests/test_linux.py::TestSystemCPUFrequency::test_emulate_use_second_file
+ tests/test_system.py::TestCpuAPIs::test_cpu_freq
+ tests/test_system.py::TestCpuAPIs::test_cpu_times_comparison
+
+ # broken in some setups
+ tests/test_linux.py::TestMisc::test_issue_687
+ tests/test_linux.py::TestProcessAgainstStatus::test_cpu_affinity
+ tests/test_linux.py::TestSystemCPUStats::test_interrupts
+ tests/test_posix.py::TestProcess::test_cmdline
+ tests/test_posix.py::TestProcess::test_name
+ tests/test_posix.py::TestSystemAPIs::test_users
+ tests/test_process.py::TestProcess::test_memory_maps_lists_lib
+ tests/test_process.py::TestProcess::test_terminal
+ tests/test_unicode.py::TestFSAPIs::test_memory_maps
+
+ # fails on all AT containers
+ tests/test_system.py::TestMiscAPIs::test_users
+
+ # failing without /sys/class/power_supply?
+ tests/test_memleaks.py::TestModuleFunctionsLeaks::test_sensors_battery
+ tests/test_misc.py::TestMisc::test_serialization
+ )
+
+ # Since we are running in an environment a bit similar to CI,
+ # let's skip the tests that are disabled for CI
+ local -x TRAVIS=1
+ local -x APPVEYOR=1
+ local -x GITHUB_ACTIONS=1
+
+ rm -rf psutil || die
+ epytest --pyargs psutil -o addopts=
+}
+
+python_compile() {
+ # Force -j1 to avoid .o linking race conditions
+ local MAKEOPTS=-j1
+ distutils-r1_python_compile
+}
diff --git a/dev-python/pyperclip/Manifest b/dev-python/pyperclip/Manifest
index bbd745d3b976..da0abfbb4aea 100644
--- a/dev-python/pyperclip/Manifest
+++ b/dev-python/pyperclip/Manifest
@@ -1 +1,2 @@
+DIST pyperclip-1.10.0.tar.gz 12193 BLAKE2B 0733fb724c32b927a29dcabec739454b2b2546cce1ac4235a1999b9c73c01272ffa9be6670780a7a3e8416d1de9a202364ce17c340bc116987dd3bc824de0a2d SHA512 eebb717e78817b34ef932fa916ae24f56ab2f064b2d20541dff06b192f69e3b33d007fe0a49b1b4ba5aeb9a633bab3139a215fce5016bf88013803713c7d402e
DIST pyperclip-1.9.0.tar.gz 20961 BLAKE2B a489268724b7beb82ec6b28c11cbb5fe04393a800297e4f71aace7232c13b68ce05092ca949f5cdc8257343b8e8f8b3cbd5227aa03a53e32eaeba8f3146108e2 SHA512 19865ebdcce99817f92994d14e26e1cd321d85da89f3177794a93981321ac3e39c937cccbcd00c866ccb30591d4720cd97a39fd266ef8378e3a21471ee69606f
diff --git a/dev-python/pyperclip/pyperclip-1.10.0.ebuild b/dev-python/pyperclip/pyperclip-1.10.0.ebuild
new file mode 100644
index 000000000000..1304cb64d9a6
--- /dev/null
+++ b/dev-python/pyperclip/pyperclip-1.10.0.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1 virtualx pypi
+
+DESCRIPTION="A cross-platform clipboard module for Python"
+HOMEPAGE="
+ https://github.com/asweigart/pyperclip/
+ https://pypi.org/project/pyperclip/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~mips ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ || (
+ x11-misc/xsel
+ x11-misc/xclip
+ kde-plasma/plasma-workspace
+ dev-python/pyqt5[${PYTHON_USEDEP}]
+ dev-python/qtpy[${PYTHON_USEDEP}]
+ )
+"
+# test at least one backend
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ )
+"
+
+src_prepare() {
+ local PATCHES=(
+ "${FILESDIR}/${PN}-1.9.0-fix-test.patch"
+ )
+
+ # stupid windows
+ find -type f -exec sed -i -e 's:\r$::' {} + || die
+
+ distutils-r1_src_prepare
+
+ # klipper is hard to get working, and once we make it work,
+ # it breaks most of the other backends
+ # wl-copy requires wayland, not Xvfb
+ sed -e 's:_executable_exists("\(klipper\|wl-copy\)"):False:' \
+ -i tests/test_pyperclip.py || die
+}
+
+python_test() {
+ "${EPYTHON}" tests/test_pyperclip.py -vv ||
+ die "Tests fail on ${EPYTHON}"
+}
+
+src_test() {
+ virtx distutils-r1_src_test
+}
diff --git a/dev-python/pyside/pyside-6.9.2.ebuild b/dev-python/pyside/pyside-6.9.2.ebuild
index 8d370bb985d9..f4245854d5df 100644
--- a/dev-python/pyside/pyside-6.9.2.ebuild
+++ b/dev-python/pyside/pyside-6.9.2.ebuild
@@ -32,7 +32,7 @@ if [[ ${PV} == *.9999 ]]; then
else
SRC_URI="https://download.qt.io/official_releases/QtForPython/${PN}6/PySide6-${PV}-src/${MY_P}.tar.xz"
S="${WORKDIR}/${MY_P}"
- KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+ KEYWORDS="~amd64 ~arm arm64 ~loong ~ppc64 ~riscv ~x86"
fi
LICENSE="|| ( GPL-2 GPL-3 LGPL-3 )"
diff --git a/dev-python/python-tests/Manifest b/dev-python/python-tests/Manifest
index 3e22ede426ca..d5a08c1d371f 100644
--- a/dev-python/python-tests/Manifest
+++ b/dev-python/python-tests/Manifest
@@ -8,6 +8,8 @@ DIST Python-3.13.7.tar.xz 22769492 BLAKE2B 8654588ed12e8cd1d691a1869ed1db0d4b9db
DIST Python-3.13.7.tar.xz.asc 963 BLAKE2B ae8721488c7ce01c9c6fe1b184526044900b39d033b0ba1ac573c742cf99a902b32cfefc9b73af8573667b47c71b8356fced5abf0a4b581ef8d0aff1bbcacf47 SHA512 71cd002c18ebb47861abd3309c8cf38972d3d916cca5595d895ba3940719243c66fa28595c2370a8846d9d1c4b3cb4ac5baeda9e9cf94be30302892d01df5e87
DIST Python-3.14.0rc2.tar.xz 23566140 BLAKE2B 6871d31eba6167f2d0b2d098b1582e465b1bb8df90ede41bba57b8dbdcb087ceba7cc047e93e43cf93c3c36d3166f4f99ab4c321566ec64cdc4c0e65c0abd1da SHA512 8021dc8e23239fd9e53fafd1fcaa1108da41ef376ee5b5e9c8dfd74995537131990239cd83de45b8bd5fb52b44c4dc08df1c837f69ce82c5b2d99ddf3ea5ef77
DIST Python-3.14.0rc2.tar.xz.sigstore 4942 BLAKE2B 650404fe155c874f05d114dda6ff47ef90b9ed09f6d40f7a3757a3f0fe4420380cb2e52696dda76badccd86b31117e6f8b906a61881b8f65949d00d692abd959 SHA512 2cce5b68b32f9f0f400e5c2d571ad9ce479cff904690ddd454ea69b612cd8c5c003f632f8866a220be46e5e56b92a1dfb12c4e12b381fc7c58710635be5ea715
+DIST Python-3.14.0rc3.tar.xz 23585028 BLAKE2B a74f441855f20001e04e576bb85227f73907213c435e7cdebcd3d5f04962181ebf7ab9d8fd7503ed51696fa4d285cd64c74a9c48e13250db6b5b3fce8e20bbb4 SHA512 15c55660fc0168bd0f2348fa6d669352b422a626b151b7a7131eb338459e552a15908874ad872eea0eea48801d5a489647e1643bf00548fd6d9c1aff6fc2044f
+DIST Python-3.14.0rc3.tar.xz.sigstore 5278 BLAKE2B f03ca95d4c143547533744e943045f22d493ad5c05f41644c20007792b6b4dd8fe3677a3bbab62b44c05dcf370e4bce109ed3fba1ac094f564c86538d6be8ec4 SHA512 8101d92af5e4fb67f5d7a378d817ffa8982898865986f1ed47ec0009b2203af4f797d60a07eb50453a85833a23349c472e9be4a7e10c2c9ea7f18c30ae45544c
DIST python-gentoo-patches-3.11.11.tar.xz 10604 BLAKE2B 6be4c66b0458f7a7085aef976cff3dcb4d114ac0b64fb27327a5693e8d41a77f7eeed718b9c5a1b1961278235ee4cd43497aa3dc27e6e6bed65804b95f667a15 SHA512 ab8113a94949cead34d976179f80c3e0a6686bf2476079a74f97b4d08c24a237500dc7ee09dc3b0ec98d2fbcb138397c73d7e2252e617a957a13999e59115158
DIST python-gentoo-patches-3.11.13_p1.tar.xz 27748 BLAKE2B 26e0b5397d7927711bcc40330f72f54fb16c660c56a2f87166c5336eb2f53ccd4e920b906854ee122d64360b414e11a38a31a410936b4a49f6610626203f4322 SHA512 7c7eca7bf827255925e073c0ed5c69e9036b79e35e8f6ccb2684709bdc41fec80823a1df192c3decf56ba6d53e2c9feaf7fb81f3a214da69773da6a2997ca19b
DIST python-gentoo-patches-3.12.10.tar.xz 10744 BLAKE2B 2abf4874018156d6735cf8604c410dc4726ac9365bc7500abe6b82472aad100aac7268957256692f4275b02965773e58178519ed8038e121f1ffa3c53770d238 SHA512 62066405aa00f46f9645e9c747d53bb93bf510fc791d14d49e00edfd79981778e6c8e07bfa7bac88d76407a0ffd8f7321dea89f81d90b01dbf13f4d381b6a1a3
@@ -17,3 +19,4 @@ DIST python-gentoo-patches-3.13.5_p1.tar.xz 19756 BLAKE2B ecc594573bbe3a28364d54
DIST python-gentoo-patches-3.13.7.tar.xz 7088 BLAKE2B 07acf2a1cc25f95131875e0282f33ce4710094bcb75b8ac1c383aa88456194d19ede17b41dda1b29bbb194a467f56e8fe976e387128aa82507529cba6ba315b7 SHA512 d79a450db4678bb494e85167e5f035ec146f9b8c400e34cbfa1211cda19aef517ffc624b11687425b1e0ff7a63c22129c649aba663fb9cfec12512b09b64d6a6
DIST python-gentoo-patches-3.14.0b1.tar.xz 5680 BLAKE2B 514b3edc3025e5bf675d371b5ada17dea426856edf1fb6095c2ee400eae95bd4265ef81fe593ae9338e801e7d0a25b1d5ba2d05ca563fd9dd020114b13575746 SHA512 74289e42cf532b54bb1b66a283ec19156f8a36ba38764209c133842314c9efb2ce2ebcba5aa9213bcf7fc0c8a5ca9b6e7adbd5dbfa4397233136d7cd55f53ee7
DIST python-gentoo-patches-3.14.0rc2.tar.xz 3776 BLAKE2B 122a49783f12cf0274ab74ff06edfc483971fca125085914dbc69c2a147a91178b8e573aac6567f5f540aec968e04af6e76a5dec0028b7a8abaac599ce1ae9b4 SHA512 3a16fbbf9e1d71ac87c79f0940634ab299b9f68f98928ac7fde44eae47b5a3f89232e63366bd8fda4484eb6721dcf05e17f92459f95b5786f3649d5ae499df4d
+DIST python-gentoo-patches-3.14.0rc3.tar.xz 7992 BLAKE2B fd4f0be9f78a6d1f193c62db16f896ee19445f2dd95ffff4f1bca0b55dca0c837dc7a2e4fc07b8633043091e2fc8aa170e6782d66710ce371388896f65b4d68d SHA512 2ab39d1265e51747b2a20fc0dfe8b7391847bace5b5c88561be2c2de6ab2595813d2c84ab32d9df022f8f075f48968b4fd0106140e6eedfee56a6a7201b311b6
diff --git a/dev-python/python-tests/python-tests-0.3.14.0_rc3.ebuild b/dev-python/python-tests/python-tests-0.3.14.0_rc3.ebuild
new file mode 100644
index 000000000000..cd2982439a58
--- /dev/null
+++ b/dev-python/python-tests/python-tests-0.3.14.0_rc3.ebuild
@@ -0,0 +1,73 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+VERIFY_SIG_METHOD=sigstore
+
+inherit python-r1 verify-sig
+
+REAL_PV=${PV#0.}
+MY_PV=${REAL_PV/_/}
+MY_P="Python-${MY_PV%_p*}"
+PYVER=$(ver_cut 2-3)t
+PATCHSET="python-gentoo-patches-${MY_PV}"
+
+DESCRIPTION="Test modules from dev-lang/python"
+HOMEPAGE="
+ https://www.python.org/
+ https://github.com/python/cpython/
+"
+SRC_URI="
+ https://www.python.org/ftp/python/${REAL_PV%%_*}/${MY_P}.tar.xz
+ https://dev.gentoo.org/~mgorny/dist/python/${PATCHSET}.tar.xz
+ verify-sig? (
+ https://www.python.org/ftp/python/${REAL_PV%%_*}/${MY_P}.tar.xz.sigstore
+ )
+"
+S="${WORKDIR}/${MY_P}/Lib"
+
+LICENSE="PSF-2"
+SLOT="${PYVER}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+# enable by default to help CI handle it (we have no additional deps)
+IUSE="+python_targets_${PYTHON_COMPAT[0]}"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+ ${PYTHON_DEPS}
+ ~dev-lang/python-${PV}:${PYVER}
+"
+BDEPEND="
+ ${PYTHON_DEPS}
+"
+
+# https://www.python.org/downloads/metadata/sigstore/
+VERIFY_SIG_CERT_IDENTITY=hugo@python.org
+VERIFY_SIG_CERT_OIDC_ISSUER=https://github.com/login/oauth
+
+src_unpack() {
+ if use verify-sig; then
+ verify-sig_verify_detached "${DISTDIR}"/${MY_P}.tar.xz{,.sigstore}
+ fi
+ default
+}
+
+src_prepare() {
+ local PATCHES=(
+ "${WORKDIR}/${PATCHSET}"
+ )
+
+ cd .. || die
+ default
+}
+
+src_install() {
+ python_setup
+ # keep in sync with TESTSUBDIRS in Makefile.pre.in
+ python_moduleinto "/usr/lib/python${PYVER}"
+ python_domodule test
+ python_moduleinto "/usr/lib/python${PYVER}/idlelib"
+ python_domodule idlelib/idle_test
+}
diff --git a/dev-python/python-tests/python-tests-3.14.0_rc3.ebuild b/dev-python/python-tests/python-tests-3.14.0_rc3.ebuild
new file mode 100644
index 000000000000..0e785845b31b
--- /dev/null
+++ b/dev-python/python-tests/python-tests-3.14.0_rc3.ebuild
@@ -0,0 +1,72 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+VERIFY_SIG_METHOD=sigstore
+
+inherit python-r1 verify-sig
+
+MY_PV=${PV/_/}
+MY_P="Python-${MY_PV%_p*}"
+PYVER=$(ver_cut 1-2)
+PATCHSET="python-gentoo-patches-${MY_PV}"
+
+DESCRIPTION="Test modules from dev-lang/python"
+HOMEPAGE="
+ https://www.python.org/
+ https://github.com/python/cpython/
+"
+SRC_URI="
+ https://www.python.org/ftp/python/${PV%%_*}/${MY_P}.tar.xz
+ https://dev.gentoo.org/~mgorny/dist/python/${PATCHSET}.tar.xz
+ verify-sig? (
+ https://www.python.org/ftp/python/${PV%%_*}/${MY_P}.tar.xz.sigstore
+ )
+"
+S="${WORKDIR}/${MY_P}/Lib"
+
+LICENSE="PSF-2"
+SLOT="${PYVER}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+# enable by default to help CI handle it (we have no additional deps)
+IUSE="+python_targets_${PYTHON_COMPAT[0]}"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+ ${PYTHON_DEPS}
+ ~dev-lang/python-${PV}:${PYVER}
+"
+BDEPEND="
+ ${PYTHON_DEPS}
+"
+
+# https://www.python.org/downloads/metadata/sigstore/
+VERIFY_SIG_CERT_IDENTITY=hugo@python.org
+VERIFY_SIG_CERT_OIDC_ISSUER=https://github.com/login/oauth
+
+src_unpack() {
+ if use verify-sig; then
+ verify-sig_verify_detached "${DISTDIR}"/${MY_P}.tar.xz{,.sigstore}
+ fi
+ default
+}
+
+src_prepare() {
+ local PATCHES=(
+ "${WORKDIR}/${PATCHSET}"
+ )
+
+ cd .. || die
+ default
+}
+
+src_install() {
+ python_setup
+ # keep in sync with TESTSUBDIRS in Makefile.pre.in
+ python_moduleinto "/usr/lib/python${PYVER}"
+ python_domodule test
+ python_moduleinto "/usr/lib/python${PYVER}/idlelib"
+ python_domodule idlelib/idle_test
+}
diff --git a/dev-python/sqlglot/Manifest b/dev-python/sqlglot/Manifest
index 1928f9338c16..4355375d03e8 100644
--- a/dev-python/sqlglot/Manifest
+++ b/dev-python/sqlglot/Manifest
@@ -1,5 +1,4 @@
DIST sqlglot-26.33.0-crates.tar.xz 8859792 BLAKE2B abb2051b392c53dc3caa705ddd8df7076819a26dcdaa89fa3760559a79578db01e86943c2d0ffb8006263c2dca3aa50d20023eae9d772f8ebd12a8a2d3266cdd SHA512 7cca439a06433a62bcd4a2af33d240f46e9b5240cc158edbc654efb37a464aa0f1ebbe9749b2fc6352127b4809b63af2341fac6240050c414e578ae99444ba5d
DIST sqlglot-26.33.0.tar.gz 5353340 BLAKE2B 18ace866ec89ced24911803497e8cb5c55fc6c157bf62b893e90df914b8be3360403ffff67f196080cdef9b9b9078b86d471494ae9768e7947a8b4d5d39e49af SHA512 df38e899d59bdd07aca0e5370833133308f9c5be4d0c990bf8112a48776fae034b622938aba968769aa5dc5e2957d56da48c89045b91b2d33783e6e25acc4a7b
-DIST sqlglot-27.12.0.tar.gz 5450508 BLAKE2B f7eb5b9aebed247f9896cf7e2afe0aa217a2db9c0f25c0527a31769e8921446e6ced1fd7a233fb95db162ade7fb2840404bb31e3197cff62a1b0b6e45c047bcb SHA512 95e6e161b0b586d28ce4ee3470f09b06fef996600b9d6f200fdc5d5a0e844b30166be0efd28fc9cc2f447547d3b53ecbb618e9bd3fe7420f2ba06354135b6c20
-DIST sqlglot-27.13.2.tar.gz 5457480 BLAKE2B b75366a055ab03c4b5abc2580cf2048ab85bf1dd86e5eecc01712938928a0f420b8ded5422b312ec3819ba9e3fdf82a37e6a2b38d2e53569fc14a844770aa050 SHA512 e7c7d5fdd33e50bf26609cf31ebf77939d94dc5bae69e2b1b03d2abd461bb1a90a2f1735f6f5236af69afe6e0f930e799b55bf1cfb5690ef6b5a47ac2b9a9274
DIST sqlglot-27.14.0.tar.gz 5462946 BLAKE2B a88f1775a1dc5d42678eab8427f857bb060f0dfcf3ba97f43bd1761b6807a7c1fd216019047d4f053f665547791f94cc52197b2d175a13e1d76a02373b4251f1 SHA512 33f072e6898e442bf690bf44d2757fd41f3a9bfc74e062cd17db60d651dca39aba2658f32958f9eed3bd1943d53b02412e5b6588762c720a2d0847e61195bcfe
+DIST sqlglot-27.15.3.tar.gz 5469854 BLAKE2B 6c39c40663b946abdad21c961797018938a4ed2d95cb118fbc2235794ba66f7bfd0f98bd0d338b80133087e4cfef63c3ce4098b57b4662f92ef6653fdcaa0590 SHA512 9d9ce9c6c142734476ef286fd3b7268c500c127e40ecc809db9c92bd71c987b080814641eac1beccecdac266501403c789a5428fd2bed554a54abf758aa013e8
diff --git a/dev-python/sqlglot/sqlglot-27.13.2.ebuild b/dev-python/sqlglot/sqlglot-27.13.2.ebuild
deleted file mode 100644
index 9a517e6a4e70..000000000000
--- a/dev-python/sqlglot/sqlglot-27.13.2.ebuild
+++ /dev/null
@@ -1,175 +0,0 @@
-# Copyright 2023-2025 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-CRATES="
- aho-corasick@1.1.3
- anes@0.1.6
- anstyle@1.0.10
- autocfg@1.1.0
- bumpalo@3.16.0
- cast@0.3.0
- cfg-if@1.0.0
- ciborium-io@0.2.2
- ciborium-ll@0.2.2
- ciborium@0.2.2
- clap@4.5.23
- clap_builder@4.5.23
- clap_lex@0.7.4
- criterion-plot@0.5.0
- criterion@0.5.1
- crossbeam-deque@0.8.6
- crossbeam-epoch@0.9.18
- crossbeam-utils@0.8.21
- crunchy@0.2.2
- either@1.13.0
- half@2.4.1
- heck@0.5.0
- hermit-abi@0.4.0
- indoc@2.0.4
- is-terminal@0.4.13
- itertools@0.10.5
- itoa@1.0.14
- js-sys@0.3.76
- libc@0.2.169
- log@0.4.22
- memchr@2.7.4
- memoffset@0.9.0
- num-traits@0.2.19
- once_cell@1.19.0
- oorandom@11.1.4
- plotters-backend@0.3.7
- plotters-svg@0.3.7
- plotters@0.3.7
- portable-atomic@1.9.0
- proc-macro2@1.0.89
- pyo3-build-config@0.25.0
- pyo3-ffi@0.25.0
- pyo3-macros-backend@0.25.0
- pyo3-macros@0.25.0
- pyo3@0.25.0
- quote@1.0.37
- rayon-core@1.12.1
- rayon@1.10.0
- regex-automata@0.4.9
- regex-syntax@0.8.5
- regex@1.11.1
- rustc-hash@2.1.0
- ryu@1.0.18
- same-file@1.0.6
- serde@1.0.216
- serde_derive@1.0.216
- serde_json@1.0.133
- syn@2.0.87
- target-lexicon@0.13.2
- tinytemplate@1.2.1
- unicode-ident@1.0.12
- unindent@0.2.3
- walkdir@2.5.0
- wasm-bindgen-backend@0.2.99
- wasm-bindgen-macro-support@0.2.99
- wasm-bindgen-macro@0.2.99
- wasm-bindgen-shared@0.2.99
- wasm-bindgen@0.2.99
- web-sys@0.3.76
- winapi-util@0.1.9
- windows-sys@0.52.0
- windows-sys@0.59.0
- windows-targets@0.52.6
- windows_aarch64_gnullvm@0.52.6
- windows_aarch64_msvc@0.52.6
- windows_i686_gnu@0.52.6
- windows_i686_gnullvm@0.52.6
- windows_i686_msvc@0.52.6
- windows_x86_64_gnu@0.52.6
- windows_x86_64_gnullvm@0.52.6
- windows_x86_64_msvc@0.52.6
-"
-
-CARGO_OPTIONAL=1
-DISTUTILS_EXT=1
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{11..14} )
-CRATE_PV=26.33.0
-
-inherit cargo distutils-r1 pypi optfeature
-
-DESCRIPTION="An easily customizable SQL parser and transpiler"
-HOMEPAGE="
- https://sqlglot.com/
- https://github.com/tobymao/sqlglot/
- https://pypi.org/project/sqlglot/
-"
-SRC_URI+="
- native-extensions? (
- https://github.com/gentoo-crate-dist/sqlglot/releases/download/v${CRATE_PV}/sqlglot-${CRATE_PV}-crates.tar.xz
- )
-"
-
-LICENSE="MIT"
-LICENSE+=" native-extensions? ("
-# Dependent crate licenses
-LICENSE+="
- Apache-2.0 Apache-2.0-with-LLVM-exceptions MIT Unicode-DFS-2016
-"
-LICENSE+=" )"
-SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
-IUSE="+native-extensions"
-
-BDEPEND="
- native-extensions? (
- ${RUST_DEPEND}
- dev-util/maturin[${PYTHON_USEDEP}]
- )
- test? (
- dev-python/pytz[${PYTHON_USEDEP}]
- )
-"
-
-EPYTEST_PLUGINS=()
-distutils_enable_tests pytest
-
-QA_FLAGS_IGNORED="usr/lib.*/py.*/site-packages/sqlglotrs/sqlglotrs.*.so"
-
-pkg_setup() {
- use native-extensions && rust_pkg_setup
-}
-
-src_unpack() {
- cargo_src_unpack
-}
-
-python_compile() {
- distutils-r1_python_compile
-
- if use native-extensions; then
- local DISTUTILS_USE_PEP517=maturin
- local DISTUTILS_UPSTREAM_PEP517=maturin
- cd sqlglotrs || die
- distutils-r1_python_compile
- cd - >/dev/null || die
- fi
-}
-
-python_test() {
- local EPYTEST_IGNORE=(
- # Tests require pyspark or duckdb which aren't in the tree.
- # Pandas would be a requirement normally, but it gets ignored by proxy.
- "tests/dataframe/integration/test_dataframe.py"
- "tests/dataframe/integration/test_grouped_data.py"
- "tests/dataframe/integration/test_session.py"
- "tests/test_executor.py"
- "tests/test_optimizer.py"
- )
-
- # make sure not to use an earlier installed version
- local -x SQLGLOTRS_TOKENIZER=$(usex native-extensions 1 0)
- rm -rf sqlglotrs || die
- epytest
-}
-
-pkg_postinst() {
- optfeature "simplifying timedelta expressions" dev-python/python-dateutil
-}
diff --git a/dev-python/sqlglot/sqlglot-27.12.0.ebuild b/dev-python/sqlglot/sqlglot-27.15.3.ebuild
index 9a517e6a4e70..9a517e6a4e70 100644
--- a/dev-python/sqlglot/sqlglot-27.12.0.ebuild
+++ b/dev-python/sqlglot/sqlglot-27.15.3.ebuild
diff --git a/dev-python/trimesh/Manifest b/dev-python/trimesh/Manifest
index 9ce1fb4d23eb..6566519d3509 100644
--- a/dev-python/trimesh/Manifest
+++ b/dev-python/trimesh/Manifest
@@ -1,5 +1,2 @@
-DIST trimesh-4.7.1.gh.tar.gz 13638994 BLAKE2B 4dfc3585decf462b0c9b62336ada80f07b71e2fa66596a828f42978c7957ab336424d3d6d96d430656cff9d7db6ab8bb29b55f70150c90579b22298013546ae1 SHA512 a62e56709800525b1292c607e4ad251c7703dd03c636e82fed52b3ef92cf59a9230ce8bb2c00a8e5ac78e7b41bb34bb29c272bb2fe9f60974e18eb13761f43be
-DIST trimesh-4.7.3.gh.tar.gz 13640391 BLAKE2B 16228912f1f95dcadef0fa1fede4567129059cec78ac64a49fd17a4e68f54503538577854e6d4860c62536c477c58ef518241d3759c1b0a188d2cd92250a5049 SHA512 dada2fd9890700d39741cd1d10c1fe1cfc907055281e9e0ead6f5c017141019d10bb20b580d0ad9e33ff9693f311efdd0c5ae5c52ffce2e7cb69bb5f9f05133e
DIST trimesh-4.7.4.gh.tar.gz 13640438 BLAKE2B 657d69e3ce886167c9c8b4e2080b961dda41c7420da7f5e4dfeb8bfba5aa3cd1a83c9e44eebdf8c27770fad3bc712874becf37f98307973ec2f1707f32106699 SHA512 4b51e642eb4dbfe6898082dbd9017b9da70093036cb826d909e55295d65e43a4933c8a94d8a1f653a713e235b7bc48bb30f30f4df7a36ae115302c031ee0f03e
-DIST trimesh-4.8.0.gh.tar.gz 13660712 BLAKE2B 5c667c6c6840e8921e8fc3cfa17179c6dd8c93e692c6fa3c0ebfebf3b0d2cc24e0cc1108297268705eb84e011058b66ff77494c69018e5064e0db2d82bc73c80 SHA512 8ccbb5913154a725bfc6a0259d8d240cf730e99e863d41f4c1b3e1c91c3bfbb1da4a0a7c7e84969a5c1fa3acebac0b9b2dcbccb4a5c9f904944ed5d169f51a3a
DIST trimesh-4.8.1.gh.tar.gz 13660870 BLAKE2B 788ba3bdd7847d95431c415f2fd32c9efbd76258be91ad3043a314d2064d5b0c31c6b613e847dea8fb099d23995d4770f9c1303af0c1474d0b3a047a4b6b684f SHA512 4505b804b9ae2a0a676f8cceb081a6dfbdb2ade75dcbe66e15d8aaeca69988be129145c424052e2898459def6ed740b8e6c17a40f86961c8c3db6f0378fca07a
diff --git a/dev-python/trimesh/trimesh-4.7.1.ebuild b/dev-python/trimesh/trimesh-4.7.1.ebuild
deleted file mode 100644
index 8c43b145b735..000000000000
--- a/dev-python/trimesh/trimesh-4.7.1.ebuild
+++ /dev/null
@@ -1,76 +0,0 @@
-# Copyright 1999-2025 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{9,10,11,12,13} )
-
-inherit distutils-r1 optfeature
-
-DESCRIPTION="Python library for loading and using triangular meshes"
-HOMEPAGE="
- https://trimesh.org/
- https://github.com/mikedh/trimesh/
- https://pypi.org/project/trimesh/
-"
-SRC_URI="
- https://github.com/mikedh/${PN}/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="amd64 arm64 ~x86"
-
-RDEPEND="
- dev-python/charset-normalizer[${PYTHON_USEDEP}]
- dev-python/colorlog[${PYTHON_USEDEP}]
- dev-python/httpx[${PYTHON_USEDEP}]
- dev-python/jsonschema[${PYTHON_USEDEP}]
- dev-python/lxml[${PYTHON_USEDEP}]
- dev-python/networkx[${PYTHON_USEDEP}]
- >=dev-python/numpy-1.20[${PYTHON_USEDEP}]
- dev-python/pillow[${PYTHON_USEDEP}]
- dev-python/pycollada[${PYTHON_USEDEP}]
- dev-python/pyglet[${PYTHON_USEDEP}]
- dev-python/requests[${PYTHON_USEDEP}]
- dev-python/scipy[${PYTHON_USEDEP}]
- >=dev-python/shapely-1.8.2[${PYTHON_USEDEP}]
- dev-python/svg-path[${PYTHON_USEDEP}]
- dev-python/sympy[${PYTHON_USEDEP}]
- dev-python/xxhash[${PYTHON_USEDEP}]
- dev-python/rtree[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-python/mapbox-earcut[${PYTHON_USEDEP}]
- dev-python/pillow[webp,${PYTHON_USEDEP}]
- )
-"
-
-EPYTEST_DESELECT=(
- # requires manifold3d
- tests/test_boolean.py::test_multiple_difference
- # timing nonsense
- tests/test_bounds.py::BoundsTest::test_obb_mesh_large
-)
-EPYTEST_IGNORE=(
- # require pyinstrument
- tests/test_sweep.py
-)
-
-EPYTEST_PLUGINS=()
-: ${EPYTEST_TIMEOUT:=1800}
-EPYTEST_XDIST=1
-
-distutils_enable_tests pytest
-
-pkg_postinst() {
- optfeature_header "${PN} functionality can be extended by installing the following packages:"
- optfeature "making GUI applications with 3D stuff" dev-python/glooey
- optfeature "2D triangulations of polygons" dev-python/mapbox-earcut
- optfeature "loading a number of additional mesh formats" dev-python/meshio
- optfeature "figuring out how much memory we have" dev-python/psutil
- optfeature "marching cubes and other nice stuff" dev-python/scikit-image
-}
diff --git a/dev-python/trimesh/trimesh-4.7.3.ebuild b/dev-python/trimesh/trimesh-4.7.3.ebuild
deleted file mode 100644
index 062f57fd3b56..000000000000
--- a/dev-python/trimesh/trimesh-4.7.3.ebuild
+++ /dev/null
@@ -1,76 +0,0 @@
-# Copyright 1999-2025 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{9,10,11,12,13} )
-
-inherit distutils-r1 optfeature
-
-DESCRIPTION="Python library for loading and using triangular meshes"
-HOMEPAGE="
- https://trimesh.org/
- https://github.com/mikedh/trimesh/
- https://pypi.org/project/trimesh/
-"
-SRC_URI="
- https://github.com/mikedh/${PN}/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
-
-RDEPEND="
- dev-python/charset-normalizer[${PYTHON_USEDEP}]
- dev-python/colorlog[${PYTHON_USEDEP}]
- dev-python/httpx[${PYTHON_USEDEP}]
- dev-python/jsonschema[${PYTHON_USEDEP}]
- dev-python/lxml[${PYTHON_USEDEP}]
- dev-python/networkx[${PYTHON_USEDEP}]
- >=dev-python/numpy-1.20[${PYTHON_USEDEP}]
- dev-python/pillow[${PYTHON_USEDEP}]
- dev-python/pycollada[${PYTHON_USEDEP}]
- dev-python/pyglet[${PYTHON_USEDEP}]
- dev-python/requests[${PYTHON_USEDEP}]
- dev-python/scipy[${PYTHON_USEDEP}]
- >=dev-python/shapely-1.8.2[${PYTHON_USEDEP}]
- dev-python/svg-path[${PYTHON_USEDEP}]
- dev-python/sympy[${PYTHON_USEDEP}]
- dev-python/xxhash[${PYTHON_USEDEP}]
- dev-python/rtree[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-python/mapbox-earcut[${PYTHON_USEDEP}]
- dev-python/pillow[webp,${PYTHON_USEDEP}]
- )
-"
-
-EPYTEST_DESELECT=(
- # requires manifold3d
- tests/test_boolean.py::test_multiple_difference
- # timing nonsense
- tests/test_bounds.py::BoundsTest::test_obb_mesh_large
-)
-EPYTEST_IGNORE=(
- # require pyinstrument
- tests/test_sweep.py
-)
-
-EPYTEST_PLUGINS=()
-: ${EPYTEST_TIMEOUT:=1800}
-EPYTEST_XDIST=1
-
-distutils_enable_tests pytest
-
-pkg_postinst() {
- optfeature_header "${PN} functionality can be extended by installing the following packages:"
- optfeature "making GUI applications with 3D stuff" dev-python/glooey
- optfeature "2D triangulations of polygons" dev-python/mapbox-earcut
- optfeature "loading a number of additional mesh formats" dev-python/meshio
- optfeature "figuring out how much memory we have" dev-python/psutil
- optfeature "marching cubes and other nice stuff" dev-python/scikit-image
-}
diff --git a/dev-python/trimesh/trimesh-4.8.0.ebuild b/dev-python/trimesh/trimesh-4.8.0.ebuild
deleted file mode 100644
index 062f57fd3b56..000000000000
--- a/dev-python/trimesh/trimesh-4.8.0.ebuild
+++ /dev/null
@@ -1,76 +0,0 @@
-# Copyright 1999-2025 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{9,10,11,12,13} )
-
-inherit distutils-r1 optfeature
-
-DESCRIPTION="Python library for loading and using triangular meshes"
-HOMEPAGE="
- https://trimesh.org/
- https://github.com/mikedh/trimesh/
- https://pypi.org/project/trimesh/
-"
-SRC_URI="
- https://github.com/mikedh/${PN}/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
-
-RDEPEND="
- dev-python/charset-normalizer[${PYTHON_USEDEP}]
- dev-python/colorlog[${PYTHON_USEDEP}]
- dev-python/httpx[${PYTHON_USEDEP}]
- dev-python/jsonschema[${PYTHON_USEDEP}]
- dev-python/lxml[${PYTHON_USEDEP}]
- dev-python/networkx[${PYTHON_USEDEP}]
- >=dev-python/numpy-1.20[${PYTHON_USEDEP}]
- dev-python/pillow[${PYTHON_USEDEP}]
- dev-python/pycollada[${PYTHON_USEDEP}]
- dev-python/pyglet[${PYTHON_USEDEP}]
- dev-python/requests[${PYTHON_USEDEP}]
- dev-python/scipy[${PYTHON_USEDEP}]
- >=dev-python/shapely-1.8.2[${PYTHON_USEDEP}]
- dev-python/svg-path[${PYTHON_USEDEP}]
- dev-python/sympy[${PYTHON_USEDEP}]
- dev-python/xxhash[${PYTHON_USEDEP}]
- dev-python/rtree[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-python/mapbox-earcut[${PYTHON_USEDEP}]
- dev-python/pillow[webp,${PYTHON_USEDEP}]
- )
-"
-
-EPYTEST_DESELECT=(
- # requires manifold3d
- tests/test_boolean.py::test_multiple_difference
- # timing nonsense
- tests/test_bounds.py::BoundsTest::test_obb_mesh_large
-)
-EPYTEST_IGNORE=(
- # require pyinstrument
- tests/test_sweep.py
-)
-
-EPYTEST_PLUGINS=()
-: ${EPYTEST_TIMEOUT:=1800}
-EPYTEST_XDIST=1
-
-distutils_enable_tests pytest
-
-pkg_postinst() {
- optfeature_header "${PN} functionality can be extended by installing the following packages:"
- optfeature "making GUI applications with 3D stuff" dev-python/glooey
- optfeature "2D triangulations of polygons" dev-python/mapbox-earcut
- optfeature "loading a number of additional mesh formats" dev-python/meshio
- optfeature "figuring out how much memory we have" dev-python/psutil
- optfeature "marching cubes and other nice stuff" dev-python/scikit-image
-}
diff --git a/dev-python/uv-build/Manifest b/dev-python/uv-build/Manifest
index cee18a82fcaf..f6149ec36b80 100644
--- a/dev-python/uv-build/Manifest
+++ b/dev-python/uv-build/Manifest
@@ -1,9 +1,5 @@
-DIST uv_build-0.7.19.tar.gz 311467 BLAKE2B a7e85c3bbaee786ed9729b1331e5506eeb95d4ee875502814555956611449501f6b1c62284945640a2ce95f225a1b1c151b47d17c0d303599fe69bffc4ab8e5c SHA512 c3bc554dd9d86bfdb1e9ebf042d8c00987a790da9d386eb371dcc1bc7cd1c0000ae69a4d1e5f1759ed723d78eed73a461bae26d5047bdb0c0bb75f450fdc009a
-DIST uv_build-0.7.22.tar.gz 314318 BLAKE2B e8118eda79bd6bea375a2b19d87a0d9c2da8e1fe1fb24668ccfe79364b92a01aedcb1e73bc625c9e1d010e7ed4742c3a4add827dc497ee18312664c4343b67be SHA512 185d6b5a9e0440a1354cd9ce638522e9b2a27cc075a5022d95c63fd96b861bf50615156d7f64144b7fb657e2ddb3fe1b0fd8fd38fd6c0adabffacbdc43d6f292
DIST uv_build-0.8.15.tar.gz 327897 BLAKE2B c2972d5db464320956707dabdec70e796b03c2ddb4fe2e320d6a688f7099f710fd4e29374cb706e23b3a900e0c055277e24514041ab352d7bd589c92d7d7c6eb SHA512 6b2dc120cad0f0e759d6618d1716ab6c4e07444faa4f185423d428954e5d519f7488b7133108eec9a32bb482112b6368c9beccaf0382e23ced2d3e0292ff3415
DIST uv_build-0.8.16.tar.gz 330691 BLAKE2B d1c730ee6c8292273a6511383c6c0d015909ff59b67a74152d13bcb390a777c5649cff2b00fb50fb98dfc0100011f7402016f12657279c87e5b09959034ff3af SHA512 1df459afa00271b6fafc3b3abf3558f2b19db2603017a86a371ddfb4eb917304de9ec38d673ce4eda8d05c9432be48ab0b0401e8b89238af19a5de55771b11f1
DIST uv_build-0.8.17.tar.gz 331207 BLAKE2B fefb1fce9d0669fa242a7639dac3767accc166008bd780778cf2c589faa2e48fec435a1c77244d38ffbc2e79cf9c0e8ad87a99e432ca61c5c2b7cadcfd14028d SHA512 d997be2cc62782d8c305a1a408b99173e876ba70d7af279efd5ea745fb17862754f3b896924822052c2dedc56d332e7ea35228514effe265be340767f0286ec7
-DIST uv_build-0.8.2.tar.gz 317577 BLAKE2B 0bf4d94fcb8052fa5fc71970cdda92438491bc4f3a0723b1f4565eb7f416058d253b14542adb4ea1883e56cb3c1fcf899840bb8406e133749ad894a181d5c8d7 SHA512 14272a8bf350542d5aaeaaf32542bf70b45724bda3a57eb4d701c8f3c0648244c683f3ea6d011920c5c02d1880e92787ce0758055b78eab2b3e61b20e03eea9c
-DIST uv_build-0.8.4.tar.gz 318914 BLAKE2B 303fb5d95d7e62269eba53ca41d7e3ae32df84e49bcf3d13cca58e21a73696964f06484d0aabc874bb66e3da5a91efae16d620732fd026ba36a43fc24fcfbe9a SHA512 875de875a2c1f73d4d4d53f1844ce11dbfde69dca552da3fabb071689309d01f4759cdb3ca71142dfdf791be5e1ada0de9a0326ad2107acd93483fa25eb518b4
-DIST uv_build-0.8.5.tar.gz 318967 BLAKE2B a09040001b1c777022fce38a5d28a584bad3dfa60627107f6054d779012b06a611eb11e903beef9112f636de4b238a1b29f5aa38ec477af6f91e1e957f5584cc SHA512 3bc3de1d240d78d5034c97801bcb6696d3ade9fb1a3cfe838a2ed66e7225ea72fa61ff82fdee66b213c7e5f63b0ee6ec2e04820102f3b50c3292107a643a3749
+DIST uv_build-0.8.18.tar.gz 330099 BLAKE2B 7a9a144aeae7ab2d9f458d10c2b8786f4d5e22bd64ab38b0b82ea747135d69fc0f4325efff23d7d232e8a6a584acdd8b94c97428f91e20806750967a6fafd6a7 SHA512 1a975786482d957fb0b3b3cf716d3e8dd8d210bcffa562ad60df7f18d4024aaf8dcf2c52a7afdb04c32de469684668cb7c7ec8359d9a7b102024a52ae3e0d785
DIST uv_build-0.8.6.tar.gz 318772 BLAKE2B faf4f36b32cf308d3c70d52b84bd135d108db4018bc4c7eadf193448e422fe8b0deb1cf68f7264413152697708f9a15748a017d0ece151c19c1677916b3727b9 SHA512 da83c3ba7f2daa1c39a8bac5b18635eff4afc93460ea23b770518ebaf44bef573654e272c117e257f4126124c71a5b661f2751ff36be792c03ee28f257d1eddc
diff --git a/dev-python/uv-build/uv-build-0.7.19.ebuild b/dev-python/uv-build/uv-build-0.7.19.ebuild
deleted file mode 100644
index 6156796bc3d2..000000000000
--- a/dev-python/uv-build/uv-build-0.7.19.ebuild
+++ /dev/null
@@ -1,99 +0,0 @@
-# Copyright 2025 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-# Maturin compiles uv-build executable for every impl, we do not want
-# that, so we use another backend. And since we use another backend,
-# why not dogfood it in the first place?
-DISTUTILS_USE_PEP517=standalone
-PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="PEP517 uv build backend"
-HOMEPAGE="
- https://github.com/astral-sh/uv/
- https://pypi.org/project/uv-build/
-"
-
-LICENSE="|| ( Apache-2.0 MIT )"
-SLOT="0"
-KEYWORDS="~amd64"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-RDEPEND="
- >=dev-python/uv-${PV}
-"
-BDEPEND="
- test? (
- app-arch/unzip
- dev-python/build[${PYTHON_USEDEP}]
- )
-"
-
-src_prepare() {
- distutils-r1_src_prepare
-
- # use the executable from dev-python/uv instead of building
- # a largely overlapping uv-build executable (at least for now)
- sed -i -e '/USE_UV_EXECUTABLE/s:False:True:' python/uv_build/__init__.py || die
-
- # replace the build-system section
- sed -i -e '/\[build-system\]/,$d' pyproject.toml || die
- cat >> pyproject.toml <<-EOF || die
- [build-system]
- requires = ["uv_build<9999"]
- build-backend = "uv_build"
- backend-path = ["src"]
- EOF
-
- # rename to make uv-build find it
- mv python src || die
-}
-
-python_test() {
- "${EPYTHON}" -m build -n || die "Self-build failed with ${EPYTHON}"
-
- local zip_result=$(
- unzip -t "dist/uv_build-${PV}-py3-none-any.whl" || die
- )
- local zip_expected="\
-Archive: dist/uv_build-${PV}-py3-none-any.whl
- testing: uv_build/ OK
- testing: uv_build/__init__.py OK
- testing: uv_build/__main__.py OK
- testing: uv_build/py.typed OK
- testing: uv_build-${PV}.dist-info/ OK
- testing: uv_build-${PV}.dist-info/WHEEL OK
- testing: uv_build-${PV}.dist-info/METADATA OK
- testing: uv_build-${PV}.dist-info/RECORD OK
-No errors detected in compressed data of dist/uv_build-${PV}-py3-none-any.whl.\
-"
- if [[ ${zip_result} != ${zip_expected} ]]; then
- eerror ".zip result:\n${zip_result}"
- eerror ".zip expected:\n${zip_expected}"
- die ".whl result mismatch"
- fi
-
- local tar_result=$(
- tar -tf "dist/uv_build-${PV}.tar.gz" || die
- )
- local tar_expected="\
-uv_build-${PV}/PKG-INFO
-uv_build-${PV}/
-uv_build-${PV}/README.md
-uv_build-${PV}/pyproject.toml
-uv_build-${PV}/src
-uv_build-${PV}/src/uv_build
-uv_build-${PV}/src/uv_build/__init__.py
-uv_build-${PV}/src/uv_build/__main__.py
-uv_build-${PV}/src/uv_build/py.typed\
-"
- if [[ ${tar_result} != ${tar_expected} ]]; then
- eerror ".tar.gz result:\n${tar_result}"
- eerror ".tar.gz expected:\n${tar_expected}"
- die ".tar.gz result mismatch"
- fi
-}
diff --git a/dev-python/uv-build/uv-build-0.7.22.ebuild b/dev-python/uv-build/uv-build-0.7.22.ebuild
deleted file mode 100644
index 6156796bc3d2..000000000000
--- a/dev-python/uv-build/uv-build-0.7.22.ebuild
+++ /dev/null
@@ -1,99 +0,0 @@
-# Copyright 2025 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-# Maturin compiles uv-build executable for every impl, we do not want
-# that, so we use another backend. And since we use another backend,
-# why not dogfood it in the first place?
-DISTUTILS_USE_PEP517=standalone
-PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="PEP517 uv build backend"
-HOMEPAGE="
- https://github.com/astral-sh/uv/
- https://pypi.org/project/uv-build/
-"
-
-LICENSE="|| ( Apache-2.0 MIT )"
-SLOT="0"
-KEYWORDS="~amd64"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-RDEPEND="
- >=dev-python/uv-${PV}
-"
-BDEPEND="
- test? (
- app-arch/unzip
- dev-python/build[${PYTHON_USEDEP}]
- )
-"
-
-src_prepare() {
- distutils-r1_src_prepare
-
- # use the executable from dev-python/uv instead of building
- # a largely overlapping uv-build executable (at least for now)
- sed -i -e '/USE_UV_EXECUTABLE/s:False:True:' python/uv_build/__init__.py || die
-
- # replace the build-system section
- sed -i -e '/\[build-system\]/,$d' pyproject.toml || die
- cat >> pyproject.toml <<-EOF || die
- [build-system]
- requires = ["uv_build<9999"]
- build-backend = "uv_build"
- backend-path = ["src"]
- EOF
-
- # rename to make uv-build find it
- mv python src || die
-}
-
-python_test() {
- "${EPYTHON}" -m build -n || die "Self-build failed with ${EPYTHON}"
-
- local zip_result=$(
- unzip -t "dist/uv_build-${PV}-py3-none-any.whl" || die
- )
- local zip_expected="\
-Archive: dist/uv_build-${PV}-py3-none-any.whl
- testing: uv_build/ OK
- testing: uv_build/__init__.py OK
- testing: uv_build/__main__.py OK
- testing: uv_build/py.typed OK
- testing: uv_build-${PV}.dist-info/ OK
- testing: uv_build-${PV}.dist-info/WHEEL OK
- testing: uv_build-${PV}.dist-info/METADATA OK
- testing: uv_build-${PV}.dist-info/RECORD OK
-No errors detected in compressed data of dist/uv_build-${PV}-py3-none-any.whl.\
-"
- if [[ ${zip_result} != ${zip_expected} ]]; then
- eerror ".zip result:\n${zip_result}"
- eerror ".zip expected:\n${zip_expected}"
- die ".whl result mismatch"
- fi
-
- local tar_result=$(
- tar -tf "dist/uv_build-${PV}.tar.gz" || die
- )
- local tar_expected="\
-uv_build-${PV}/PKG-INFO
-uv_build-${PV}/
-uv_build-${PV}/README.md
-uv_build-${PV}/pyproject.toml
-uv_build-${PV}/src
-uv_build-${PV}/src/uv_build
-uv_build-${PV}/src/uv_build/__init__.py
-uv_build-${PV}/src/uv_build/__main__.py
-uv_build-${PV}/src/uv_build/py.typed\
-"
- if [[ ${tar_result} != ${tar_expected} ]]; then
- eerror ".tar.gz result:\n${tar_result}"
- eerror ".tar.gz expected:\n${tar_expected}"
- die ".tar.gz result mismatch"
- fi
-}
diff --git a/dev-python/uv-build/uv-build-0.8.4.ebuild b/dev-python/uv-build/uv-build-0.8.18.ebuild
index 6156796bc3d2..aafb223c5bb8 100644
--- a/dev-python/uv-build/uv-build-0.8.4.ebuild
+++ b/dev-python/uv-build/uv-build-0.8.18.ebuild
@@ -19,7 +19,7 @@ HOMEPAGE="
LICENSE="|| ( Apache-2.0 MIT )"
SLOT="0"
-KEYWORDS="~amd64"
+KEYWORDS="~amd64 ~arm64"
IUSE="test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/uv-build/uv-build-0.8.2.ebuild b/dev-python/uv-build/uv-build-0.8.2.ebuild
deleted file mode 100644
index 6156796bc3d2..000000000000
--- a/dev-python/uv-build/uv-build-0.8.2.ebuild
+++ /dev/null
@@ -1,99 +0,0 @@
-# Copyright 2025 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-# Maturin compiles uv-build executable for every impl, we do not want
-# that, so we use another backend. And since we use another backend,
-# why not dogfood it in the first place?
-DISTUTILS_USE_PEP517=standalone
-PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="PEP517 uv build backend"
-HOMEPAGE="
- https://github.com/astral-sh/uv/
- https://pypi.org/project/uv-build/
-"
-
-LICENSE="|| ( Apache-2.0 MIT )"
-SLOT="0"
-KEYWORDS="~amd64"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-RDEPEND="
- >=dev-python/uv-${PV}
-"
-BDEPEND="
- test? (
- app-arch/unzip
- dev-python/build[${PYTHON_USEDEP}]
- )
-"
-
-src_prepare() {
- distutils-r1_src_prepare
-
- # use the executable from dev-python/uv instead of building
- # a largely overlapping uv-build executable (at least for now)
- sed -i -e '/USE_UV_EXECUTABLE/s:False:True:' python/uv_build/__init__.py || die
-
- # replace the build-system section
- sed -i -e '/\[build-system\]/,$d' pyproject.toml || die
- cat >> pyproject.toml <<-EOF || die
- [build-system]
- requires = ["uv_build<9999"]
- build-backend = "uv_build"
- backend-path = ["src"]
- EOF
-
- # rename to make uv-build find it
- mv python src || die
-}
-
-python_test() {
- "${EPYTHON}" -m build -n || die "Self-build failed with ${EPYTHON}"
-
- local zip_result=$(
- unzip -t "dist/uv_build-${PV}-py3-none-any.whl" || die
- )
- local zip_expected="\
-Archive: dist/uv_build-${PV}-py3-none-any.whl
- testing: uv_build/ OK
- testing: uv_build/__init__.py OK
- testing: uv_build/__main__.py OK
- testing: uv_build/py.typed OK
- testing: uv_build-${PV}.dist-info/ OK
- testing: uv_build-${PV}.dist-info/WHEEL OK
- testing: uv_build-${PV}.dist-info/METADATA OK
- testing: uv_build-${PV}.dist-info/RECORD OK
-No errors detected in compressed data of dist/uv_build-${PV}-py3-none-any.whl.\
-"
- if [[ ${zip_result} != ${zip_expected} ]]; then
- eerror ".zip result:\n${zip_result}"
- eerror ".zip expected:\n${zip_expected}"
- die ".whl result mismatch"
- fi
-
- local tar_result=$(
- tar -tf "dist/uv_build-${PV}.tar.gz" || die
- )
- local tar_expected="\
-uv_build-${PV}/PKG-INFO
-uv_build-${PV}/
-uv_build-${PV}/README.md
-uv_build-${PV}/pyproject.toml
-uv_build-${PV}/src
-uv_build-${PV}/src/uv_build
-uv_build-${PV}/src/uv_build/__init__.py
-uv_build-${PV}/src/uv_build/__main__.py
-uv_build-${PV}/src/uv_build/py.typed\
-"
- if [[ ${tar_result} != ${tar_expected} ]]; then
- eerror ".tar.gz result:\n${tar_result}"
- eerror ".tar.gz expected:\n${tar_expected}"
- die ".tar.gz result mismatch"
- fi
-}
diff --git a/dev-python/uv-build/uv-build-0.8.5.ebuild b/dev-python/uv-build/uv-build-0.8.5.ebuild
deleted file mode 100644
index 6156796bc3d2..000000000000
--- a/dev-python/uv-build/uv-build-0.8.5.ebuild
+++ /dev/null
@@ -1,99 +0,0 @@
-# Copyright 2025 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-# Maturin compiles uv-build executable for every impl, we do not want
-# that, so we use another backend. And since we use another backend,
-# why not dogfood it in the first place?
-DISTUTILS_USE_PEP517=standalone
-PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="PEP517 uv build backend"
-HOMEPAGE="
- https://github.com/astral-sh/uv/
- https://pypi.org/project/uv-build/
-"
-
-LICENSE="|| ( Apache-2.0 MIT )"
-SLOT="0"
-KEYWORDS="~amd64"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-RDEPEND="
- >=dev-python/uv-${PV}
-"
-BDEPEND="
- test? (
- app-arch/unzip
- dev-python/build[${PYTHON_USEDEP}]
- )
-"
-
-src_prepare() {
- distutils-r1_src_prepare
-
- # use the executable from dev-python/uv instead of building
- # a largely overlapping uv-build executable (at least for now)
- sed -i -e '/USE_UV_EXECUTABLE/s:False:True:' python/uv_build/__init__.py || die
-
- # replace the build-system section
- sed -i -e '/\[build-system\]/,$d' pyproject.toml || die
- cat >> pyproject.toml <<-EOF || die
- [build-system]
- requires = ["uv_build<9999"]
- build-backend = "uv_build"
- backend-path = ["src"]
- EOF
-
- # rename to make uv-build find it
- mv python src || die
-}
-
-python_test() {
- "${EPYTHON}" -m build -n || die "Self-build failed with ${EPYTHON}"
-
- local zip_result=$(
- unzip -t "dist/uv_build-${PV}-py3-none-any.whl" || die
- )
- local zip_expected="\
-Archive: dist/uv_build-${PV}-py3-none-any.whl
- testing: uv_build/ OK
- testing: uv_build/__init__.py OK
- testing: uv_build/__main__.py OK
- testing: uv_build/py.typed OK
- testing: uv_build-${PV}.dist-info/ OK
- testing: uv_build-${PV}.dist-info/WHEEL OK
- testing: uv_build-${PV}.dist-info/METADATA OK
- testing: uv_build-${PV}.dist-info/RECORD OK
-No errors detected in compressed data of dist/uv_build-${PV}-py3-none-any.whl.\
-"
- if [[ ${zip_result} != ${zip_expected} ]]; then
- eerror ".zip result:\n${zip_result}"
- eerror ".zip expected:\n${zip_expected}"
- die ".whl result mismatch"
- fi
-
- local tar_result=$(
- tar -tf "dist/uv_build-${PV}.tar.gz" || die
- )
- local tar_expected="\
-uv_build-${PV}/PKG-INFO
-uv_build-${PV}/
-uv_build-${PV}/README.md
-uv_build-${PV}/pyproject.toml
-uv_build-${PV}/src
-uv_build-${PV}/src/uv_build
-uv_build-${PV}/src/uv_build/__init__.py
-uv_build-${PV}/src/uv_build/__main__.py
-uv_build-${PV}/src/uv_build/py.typed\
-"
- if [[ ${tar_result} != ${tar_expected} ]]; then
- eerror ".tar.gz result:\n${tar_result}"
- eerror ".tar.gz expected:\n${tar_expected}"
- die ".tar.gz result mismatch"
- fi
-}
diff --git a/dev-python/uv/Manifest b/dev-python/uv/Manifest
index c9968cb14e31..f32eabbbda14 100644
--- a/dev-python/uv/Manifest
+++ b/dev-python/uv/Manifest
@@ -2,14 +2,13 @@ DIST pubgrub-06ec5a5f59ffaeb6cf5079c6cb184467da06c9db.gh.tar.gz 99881 BLAKE2B 5f
DIST reqwest-middleware-7650ed76215a962a96d94a79be71c27bffde7ab2.gh.tar.gz 42520 BLAKE2B ca415865947873f8b309f5b348a600677802fa8128a154b7c86d3e30bffece9df8606504073ddb688c5185e27866b5d7dc8a891e6d390ca075910a691e9bb2aa SHA512 904fd652b0f3ecc90eee571d5488aba977dee643a1d6267e2fda264fa4c7b4bfcfacd4d5a23287dfb710ecc82d667479fcd0c48166259c2368df0e8b0c9d6707
DIST reqwest-middleware-ad8b9d332d1773fde8b4cd008486de5973e0a3f8.gh.tar.gz 41975 BLAKE2B db42a68b8f0d592edc297462c19a34caa068464b9a5f307e8e1c1fdacde95cd08c5af0f73fa55ed62217dee63940a1d02a4322c5edb2c2c8a568a7e04efd80e6 SHA512 2dad83835c87cdd79e2a08c19b5024b3fdf30d1d8cd14e480e434612e856ecc20a5404881ff81d5793d3e9d5808ee3d59ce920312a86a100535009da43d7d46b
DIST rs-async-zip-285e48742b74ab109887d62e1ae79e7c15fd4878.gh.tar.gz 37003 BLAKE2B c4aed18d82641ced2771ad8b8e800c45b1ded279e8ba1874ec9766907d042ae13b460beac739ced6e31c03a647e4238af96fb41e8c0dff4c5d4dd7f59c0ebbff SHA512 d6dd699f43ca6e23a4c8abb8673b37d3983081a8c78545492ea3c1d0b35e3a491277c341df6dd64fb7efaec3b23eb479dede99e9b41016b5504d1a6dc9fbc617
-DIST rs-async-zip-c909fda63fcafe4af496a07bfda28a5aae97e58d.gh.tar.gz 51763 BLAKE2B 59d053bc6692014d884a9247dea1b57a8789469ba2abbcc92ec21bb0022cbd74874afc463082156ab697aa6c80635019857a5d7e2dc150274e8b04d720518c36 SHA512 3a309566f4925b02496fcf19bc2865968edf6fb65082ca4079d2cee79e6b0353a1910c079f2afe656da0d0f6ddde5102052a221ea35a7dabc6d690a11218b20a
DIST tl-6e25b2ee2513d75385101a8ff9f591ef51f314ec.gh.tar.gz 37106 BLAKE2B c30d1c33f6f52e2bc83823eb6319f8a3e462b7c7408fb6a08f995747857ef234f81db4135a04f9d183095fe473a4087f8f0cb89d8f87ef4400285d2ce034ec22 SHA512 4abbc4240ed129c92da8d616e27a6df0f24cdc85a0803acfdae588ca91f9e5b8d482e3ac88b2e657ff68917b1b43cef1e7ef3c887f624659b231fa5a13fcae68
DIST uv-0.8.15-crates.tar.xz 46898116 BLAKE2B 53fa26bc5ff7a22063ed700951dc44541de66967b7a567cec27701914bcac94ac27f0e821e7ea747b483a5fb721d10d9df9ecdcb6d338fd45d70f13855fff3f0 SHA512 14576aba8d91aeb250c3e64d32cfdbdad5723d83a1c51c7311caca1f433fc0279f13dd9ff1af165e1f1b1b94663878260536611e707c97238f1084cbc99b758d
DIST uv-0.8.15.gh.tar.gz 4424880 BLAKE2B 89dcf4dbf4f43774b9107f0c1c068654d49bca837a5852c5bf05be588232f0157bbf7b2d2d961bea75c37b815f51bd1d12f943bf9129720c2caee1dd923c54b9 SHA512 eafe6f8d74e476d404ac48a69115c0965152a07c876b87139f04b48770df2b7a5c42e04efb7a12297e1e341248a8551f87ab286dbd5fe06a41de029eff54ee4e
DIST uv-0.8.16-crates.tar.xz 46965296 BLAKE2B 7c866d7c2843c7942acfe71c4f040d51a95a50d43a6df41730ad536ae6d58b56a279a556bec26613400abdec5248f5b0d1fb012dd62f0b1d00aa397fcb71c7e4 SHA512 8410b56732d35ae2bc101403350c2344875310f9e91a72373647b0be7fe6e434b203478591ab43b21507614729d3437eb1b3e78be5993cd9432941ba70c00b42
DIST uv-0.8.16.gh.tar.gz 4441379 BLAKE2B b7c914a03e8a14fe08de8cdeaaf073efca0a15c933aa5db5918da6df529ea68c0c8c25fc7dc7e2632a895b3da631a1e51000a7c65ee3bac72a063b5e8a43c2c4 SHA512 8799554f7fbdc01277792ffddcf1731db2ddb8e67b387324ae52087c1a4ae64375186f588b535771fa7c66dacd7d78c3aa71d1ca232325f32c095a09d48041a4
DIST uv-0.8.17.gh.tar.gz 4443731 BLAKE2B 747eceb88ef5e2eecbb5a3c827ff11646c6589c33026adc91a07199726cc0be2002c849380c5ce0ea67faea144c41a84c3f74db04d00f274b4c0301309d06d95 SHA512 f8d331fa717fca1ecea0907ac5da483ab1f6ec4a1cdf149549dbbc765353b0e28f47ab472270a52581042260e58c03f8cfead6a315969852d057b030d9b9075e
-DIST uv-0.8.2-crates.tar.xz 58707128 BLAKE2B 9579ad6877a960596fc49908e4f9451c8748c7f0ab41be15f310f43a19dcd61632fc7dd4fe4a2ad21cdc1478354c6b39e07272b8160296dc9dba9f70628a6f76 SHA512 442e7f2d550c00808f07297eda196ceec75aea3c9fbc1d86f288dc4c9d974f8197dac36f550ff903bb78f9c193eeab7447934f4f7bbb7799d246db28d9cf052a
-DIST uv-0.8.2.gh.tar.gz 4195351 BLAKE2B b50da561a66f4aac40c5fe6b55a1c10482155dc968bd6532927819ad0bb6f6b97de1b7707a32887b272ede682158b86d5f75bc10410a9fe7af8a7d2de204984a SHA512 9d10f182ab0fefb6028a0424a8cc1467f34e65de24a358a9038b8104f62808f479d004d3a45df7264b6aea81933353b78f1b3963c37ff66ec9da4a53cdca0e2c
+DIST uv-0.8.18-crates.tar.xz 45354832 BLAKE2B 48c0f06f699015f9206fd916027e1346996479ec4665b43ac7b60cb1ca281b0706021b6ef1688e4df6cdb601a3d8e8ada882937e24bde659c4cc51c81ee11b0b SHA512 d2583a283bcb29ab4781fa201677ec7cade1fc3ac2c47b224f3fc23eff31e1ee140cbc5f763bdca5fac983eb25fb74f4d466869023bb49dc9ab423ffadd768af
+DIST uv-0.8.18.gh.tar.gz 4693782 BLAKE2B 636f45447de3ed21bde705c900b0299b34f106c7b2740478cfe2cdeee1c9fece1250912a908e05e378320918deb809656a61987507fc9741d68f0d2a7c82a929 SHA512 a21e001cc241050c0fa19b1d5629a347e61f1fd3f0854fa855b5a78c2dcd68fcaf1336ce3f769e50430dd279418c644c473002d175ccebc934ee9c0cb4a38c65
DIST uv-0.8.6-crates.tar.xz 46208952 BLAKE2B f9557a45fbfaa9d6006f935629130960b5d414cd185d7fbdb1415e7f3875568d07ade946a0b606712e9e2e06e7964bb0fb8318e02e78609899a852ed073b87a6 SHA512 c79fa70a6a670dc2d80efbf0b51942806b2b16ab7b4c63983ab634453ab32142322302bd68ab80f5bcfee08138bca8d04a7d152c76ca5d94bfc40255cab8477b
DIST uv-0.8.6.gh.tar.gz 4255911 BLAKE2B 198ed83cb487f25a35957959bca32f98b8f5343712a7a9bbf3f817f189f1ec9c7903fa2e64ec65c9b3e18a469506c942ebb0ca50b39a353dc7e82228386fb69c SHA512 d164488e967364d254bab989933a5faf27c52c91da1bdeb6f3419fce335dfac5d4ea6cd717cac6b05fee9f85605cf21930c3d37119c49a98cb13c53d51ea996d
diff --git a/dev-python/uv/uv-0.8.2.ebuild b/dev-python/uv/uv-0.8.18.ebuild
index b2770b1baf8c..5580215053ce 100644
--- a/dev-python/uv/uv-0.8.2.ebuild
+++ b/dev-python/uv/uv-0.8.18.ebuild
@@ -5,18 +5,17 @@ EAPI=8
CRATES="
"
+RUST_MIN_VER="1.88.0"
declare -A GIT_CRATES=(
- [async_zip]='https://github.com/astral-sh/rs-async-zip;c909fda63fcafe4af496a07bfda28a5aae97e58d;rs-async-zip-%commit%'
+ [async_zip]='https://github.com/astral-sh/rs-async-zip;285e48742b74ab109887d62e1ae79e7c15fd4878;rs-async-zip-%commit%'
[pubgrub]='https://github.com/astral-sh/pubgrub;06ec5a5f59ffaeb6cf5079c6cb184467da06c9db;pubgrub-%commit%'
- [reqwest-middleware]='https://github.com/astral-sh/reqwest-middleware;ad8b9d332d1773fde8b4cd008486de5973e0a3f8;reqwest-middleware-%commit%/reqwest-middleware'
- [reqwest-retry]='https://github.com/astral-sh/reqwest-middleware;ad8b9d332d1773fde8b4cd008486de5973e0a3f8;reqwest-middleware-%commit%/reqwest-retry'
+ [reqwest-middleware]='https://github.com/astral-sh/reqwest-middleware;7650ed76215a962a96d94a79be71c27bffde7ab2;reqwest-middleware-%commit%/reqwest-middleware'
+ [reqwest-retry]='https://github.com/astral-sh/reqwest-middleware;7650ed76215a962a96d94a79be71c27bffde7ab2;reqwest-middleware-%commit%/reqwest-retry'
[tl]='https://github.com/astral-sh/tl;6e25b2ee2513d75385101a8ff9f591ef51f314ec;tl-%commit%'
[version-ranges]='https://github.com/astral-sh/pubgrub;06ec5a5f59ffaeb6cf5079c6cb184467da06c9db;pubgrub-%commit%/version-ranges'
)
-RUST_MIN_VER="1.85.0"
-
inherit cargo check-reqs
CRATE_PV=${PV}
@@ -42,14 +41,14 @@ LICENSE="|| ( Apache-2.0 MIT )"
# crates/pep508-rs is || ( Apache-2.0 BSD-2 ) which is covered below
# Dependent crate licenses
LICENSE+="
- 0BSD Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD-2 BSD Boost-1.0
+ 0BSD Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD-2 BSD
CDLA-Permissive-2.0 ISC MIT MPL-2.0 Unicode-3.0 Unicode-DFS-2016
ZLIB
"
# ring crate
LICENSE+=" openssl"
SLOT="0"
-KEYWORDS="amd64 ~arm arm64 ~loong ppc ppc64 ~riscv x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
IUSE="test"
RESTRICT="test"
PROPERTIES="test_network"
diff --git a/dev-python/xmltodict/Manifest b/dev-python/xmltodict/Manifest
index 075bab9cfb3c..936ac752711b 100644
--- a/dev-python/xmltodict/Manifest
+++ b/dev-python/xmltodict/Manifest
@@ -1,3 +1,4 @@
DIST xmltodict-0.14.2.tar.gz 51942 BLAKE2B 4d51ec3e99ac166dc1fd919ff12ed0218cc78d33982c79336eeddbf66f5409ab3ed8f994f57731252799b5ff1d1bd5d3cc344621d0dfb565d105319c4a10886f SHA512 3333955156e355cd40bd947bbefe0ff2e90de900cf12aa3ad82fa28e2921d9e2ccd245116573a0711cce12ac294d5a8d18a83744b4e7fc9e2b4025e35175080b
DIST xmltodict-0.15.1.tar.gz 62984 BLAKE2B 83b7117a2925324e1fff8cecbd5d82255938b3e0bc3ecaf7da6d27035e12861c4a52a4d1f3fec628c334d0f193e96ce688feab4fa7a5b559993eaf159d7a1ed2 SHA512 a1e8f9be1a4a1ccbd05c3210a57a0a96db12ff6456fd2f28de048b094e33fbb0ee67e435b199997c42f360af073abf04d4caf7f98c7e7aa61c10c2e07570ed77
DIST xmltodict-1.0.0.tar.gz 71681 BLAKE2B 5d8dc5d4395da94eeea3e6cb55640651a9059c60e4c9a9f73623c6f79d3401e1809c22a8313f12b5f8c78616de949a295c036ba76f6f033cd9065d36b3595907 SHA512 7e134fe47e2408991c4216b4c9026bb5941a4272282273474fb842a3453a2396585fdb2eb9c2b4bcb05aa0207fe6d5175cf0573a46ca1deeceb75116606af00a
+DIST xmltodict-1.0.2.tar.gz 25725 BLAKE2B e61eba4b62019c0f96b70a1914ecb3e031c3c2cdacddbbfdb65ab8f1665c60c357031fc1df956d92dfad7696f13e6253246b707b3d7812c15ded84c453db8938 SHA512 19c277ccf415a0ab8e7c1f7b647e1939323419d7b309adc62c851096f101d6d8305bb53b3abba31a9b681ce41d1a5d246d541355b4489cb19749f852c2165c74
diff --git a/dev-python/xmltodict/xmltodict-1.0.2.ebuild b/dev-python/xmltodict/xmltodict-1.0.2.ebuild
new file mode 100644
index 000000000000..0fca89e54daa
--- /dev/null
+++ b/dev-python/xmltodict/xmltodict-1.0.2.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Makes working with XML feel like you are working with JSON"
+HOMEPAGE="
+ https://github.com/martinblech/xmltodict/
+ https://pypi.org/project/xmltodict/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest